### XPA Access Points

> The XPA messaging system provides seamless communication between DS9 and other Unix programs, including X programs. It also provides an easy way for users to communicate with DS9 by executing XPA client commands in the shell or by utilizing such commands in scripts. Because XPA works both at the programming level and the shell level, it is a powerful tool for unifying any analysis environment.

> `2mass
> 3d
> about
> align
> analysis
> array
> backup
> bin
> blink
> block
> catalog
> cd
> cmap
> colorbar
> console
> contour
> crop
> crosshair
> cube
> cursor
> data
> dsssao
> dsseso
> dssstsci
> envi
> exit
> export
> fade
> file
> fits
> footprint
> frame
> gif
> graph
> grid
> header
> height
> iconify
> iexam
> iis
> illustrate
> jpeg
> lock
> lower
> magnifier
> mask
> match
> mecube
> minmax
> mode
> mosaic
> mosaicimage
> movie
> multiframe
> nameserver
> notes
> nrrd
> nvss
> orient
> pagesetup
> pan
> pixeltable
> plot
> png
> prefs
> preserve
> psprint
> print
> prism
> quit
> raise
> region
> restore
> rgb
> rgbarray
> rgbcube
> rgbimage
> rotate
> samp
> save
> saveimage
> scale
> shm
> sia
> single
> skyview
> sleep
> smooth
> source
> tcl
> tile
> update
> url
> version
> view
> vla
> vlss
> vo
> wcs
> web
> width
> xpa
> zscale
> zoom
> `

> 2mass

> Support for 2MASS Digital Sky Survey.

> `Syntax:
> 2mass []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [survey j|h|k]
> [open|close]
> Example:
> $xpaget ds9 2mass name
> $xpaget ds9 2mass coord
> $xpaget ds9 2mass size
> $xpaget ds9 2mass save
> $xpaget ds9 2mass frame
> $xpaget ds9 2mass survey
> $xpaset -p ds9 2mass
> $xpaset -p ds9 2mass m31
> $xpaset -p ds9 2mass name m31
> $xpaset -p ds9 2mass name clear
> $xpaset -p ds9 2mass 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 2mass size 60 60 arcmin
> $xpaset -p ds9 2mass save yes
> $xpaset -p ds9 2mass frame current
> $xpaset -p ds9 2mass update frame
> $xpaset -p ds9 2mass survey j
> $xpaset -p ds9 2mass open
> $xpaset -p ds9 2mass close`

> 3d

> Support for 3D frame.

> `Syntax:
> 3d []
> [view <az> <el>]
> [az <az>]
> [el <el>]
> [scale <scale>]
> [method mip|aip]
> [background none|azimuth|elevation]
> [border yes|no]
> [border color <color>]
> [highlite yes|no]
> [highlite color <color>]
> [compass yes|no]
> [compass color <color>]
> [match]
> [lock [yes|no]]
> [open|close]
> Example:
> $xpaget ds9 3d view
> $xpaget ds9 3d az
> $xpaget ds9 3d el
> $xpaget ds9 3d scale
> $xpaget ds9 3d method
> $xpaget ds9 3d background
> $xpaget ds9 3d border
> $xpaget ds9 3d border color
> $xpaget ds9 3d highlite
> $xpaget ds9 3d highlite color
> $xpaget ds9 3d compass
> $xpaget ds9 3d compass color
> $xpaget ds9 3d lock
> $xpaset -p ds9 3d # create new 3D frame
> $xpaset -p ds9 3d view 45 30
> $xpaset -p ds9 3d az 45
> $xpaset -p ds9 3d el 30
> $xpaset -p ds9 3d scale 10
> $xpaset -p ds9 3d method mip
> $xpaset -p ds9 3d background azimuth
> $xpaset -p ds9 3d border yes
> $xpaset -p ds9 3d border color red
> $xpaset -p ds9 3d highlite yes
> $xpaset -p ds9 3d highlite color red
> $xpaset -p ds9 3d compass yes
> $xpaset -p ds9 3d compass color red
> $xpaset -p ds9 3d match
> $xpaset -p ds9 3d lock yes
> $xpaset -p ds9 3d open
> $xpaset -p ds9 3d close`

> about

> Get DS9 credits.

> `Syntax:
> about
> Example:
> $xpaget ds9 about
> `

> align

> Controls the World Coordinate System alignment for the current frame.

> `Syntax:
> align []
> [yes|no]
> Example:
> $xpaget ds9 align
> $xpaset -p ds9 align yes
> `

> analysis

> Control external analysis tasks. Tasks are numbered as they are loaded, starting with 0. Can also be used to display a message and display text in the text dialog window.

> `Syntax:
> analysis [<task number>]
> [<filename>]
> [task <task number>|<task name>]
> [load <filename>]
> [clear]
> [clear][load <filename>]
> [entry <message>]
> [message ok|okcancel|yesno <message>]
> [filedialog open|save]
> [text]
> Example:
> $xpaget ds9 analysis
> $xpaget ds9 analysis task
> $xpaget ds9 analysis entry {Please enter something}
> $xpaget ds9 analysis message okcancel {Hello World}
> $xpaget ds9 analysis filedialog open
> $xpaset -p ds9 analysis 0 # invoke first analysis task
> $xpaset -p ds9 analysis task 0
> $xpaset -p ds9 analysis task foobar
> $xpaset -p ds9 analysis {foo bar}
> $xpaset -p ds9 analysis my.ans
> $xpaset -p ds9 analysis load my.ans
> $xpaset -p ds9 analysis clear
> $xpaset -p ds9 analysis clear load my.ans
> $xpaset -p ds9 analysis message {This is a message}
> $xpaset -p ds9 analysis text {this is text}
> $cat my.ans | xpaset ds9 analysis load
> $cat foo.txt | xpaset ds9 analysis text`

> array

> Load raw data array into current frame.

> `Syntax:
> array [native|little|big]
> array [new|mask] [[xdim=<x>,ydim=<y>|dim=<dim>],zdim=<z>,bitpix=<b>,skip=<s>,endian=[little|big]]
> Example:
> $xpaget ds9 array > foo.arr
> $xpaget ds9 array little > foo.arr
> $xpaset -p ds9 array foo.arr[dim=512,bitpix=-32,endian=little]
> $xpaset -p ds9 array new foo.arr[dim=512,bitpix=-32,endian=little]
> $xpaset -p ds9 array mask foo.arr[dim=512,bitpix=-32,endian=little]
> $cat foo.arr | xpaset ds9 array[dim=512,bitpix=-32,endian=little]
> $cat foo.arr | xpaset ds9 array new[dim=512,bitpix=-32,endian=little]
> $cat foo.arr | xpaset ds9 array mask [dim=512,bitpix=-32,endian=little]`

> backup

> Create a backup save set.

> `Syntax:
> backup <filename>
> Example:
> $xpaset -p ds9 backup ds9.bck`

> bin

> Controls binning factor, binning buffer size, and binning function for binning FITS bin tables. The access point blocking is provided for backward compatibility.

> `Syntax:
> bin [about <x> <y>]
> [about center]
> [buffersize <value>]
> [cols <x> <y>]
> [colsz <x> <y> <z>]
> [factor <value> [<vector>]]
> [depth <value>]
> [filter <string>]
> [filter clear]
> [function average|sum]
> [in]
> [out]
> [to fit]
> [match]
> [lock [yes|no]]
> [open|close]
> Example:
> $xpaget ds9 bin about
> $xpaget ds9 bin buffersize
> $xpaget ds9 bin cols
> $xpaget ds9 bin factor
> $xpaget ds9 bin depth
> $xpaget ds9 bin filter
> $xpaget ds9 bin function
> $xpaget ds9 bin smooth
> $xpaget ds9 bin smooth function
> $xpaget ds9 bin smooth radius
> $xpaget ds9 bin lock
> $xpaset -p ds9 bin about 4096 4096
> $xpaset -p ds9 bin about center
> $xpaset -p ds9 bin buffersize 512
> $xpaset -p ds9 bin cols detx dety
> $xpaset -p ds9 bin colsz detx dety time
> $xpaset -p ds9 bin factor 4
> $xpaset -p ds9 bin factor 4 2
> $xpaset -p ds9 bin depth 10
> $xpaset -p ds9 bin filter 'pha > 5'
> $xpaset -p ds9 bin filter clear
> $xpaset -p ds9 bin function sum
> $xpaset -p ds9 bin in
> $xpaset -p ds9 bin out
> $xpaset -p ds9 bin to fit
> $xpaset -p ds9 bin match
> $xpaset -p ds9 bin lock yes
> $xpaset -p ds9 bin open
> $xpaset -p ds9 bin close`

> blink

> Blink mode parameters. Interval is in seconds.

> `Syntax:
> blink []
> [yes|no]
> [interval <value>]
> Example:
> $xpaget ds9 blink
> $xpaget ds9 blink interval
> $xpaset -p ds9 blink
> $xpaset -p ds9 blink yes
> $xpaset -p ds9 blink interval 1`

> block

> Controls blocking parameters.

> `Syntax:
> block[<value>]
> [<value> <value>]
> [to <value>]
> [to <value><value>]
> [in]
> [out]
> [to fit]
> [match]
> [lock [yes|no]]
> [open|close]
> Example:
> $xpaget ds9 block
> $xpaget ds9 block lock
> $xpaset -p ds9 block 4
> $xpaset -p ds9 block 4 2
> $xpaset -p ds9 block to 4
> $xpaset -p ds9 block to 4 2
> $xpaset -p ds9 block in
> $xpaset -p ds9block out
> $xpaset -p ds9 block to fit
> $xpaset -p ds9 block match
> $xpaset -p ds9 block lock yes
> $xpaset -p ds9 block open
> $xpaset -p ds9 block close`

> catalog
> cat

> Support for catalogs. The first three commands will create a new catalog search. All other commands operated on the last search created, unless indicated otherwise.

> `Syntax:
> catalog [new]
> [ned|simbad|denis|skybot]
> [aavso|ac|ascss|cmc|gaia|gsc1|gsc2|gsc3|nomad|ppmx|sao|sdss5|sdss6|sdss7|sdss8|sdss9|tycho]
> [ua2|ub1|ucac2|ucac2sup|ucac3|ucac4|urat1]
> [2mass|iras]
> [csc|xmm|rosat]
> [first|nvss]
> [chandralog|cfhtlog|esolog|stlog|xmmlog]
> [cds <catalogname>]
> [cds <catalogid>]
> [load <filename>]
> [save <filename>]
> [import rdb|tsv|fits <filename>]
> [export rdb|tsv <filename>]
> [allcols]
> [allrows]
> [cancel]
> [clear]
> [close]
> [coordinate <ra> <dec> <coordsys>]
> [crosshair]
> [current <ref>]
> [dec <col>]
> [edit yes|no]
> [filter <string>]
> [filter load <filename>]
> [header]
> [location <code>]
> [match]
> [match <ref> <ref>]
> [match error <value> degrees|arcmin|arcsec]
> [match function 1and2|1not2|2not1]
> [match return 1and2|1only|2only]
> [match unique yes|no]
> [maxrows <number>]
> [name <object>]
> [panto yes|no]
> [plot <xcol> <ycol> <xerrcol> <yerrcol>]
> [print]
> [psky <skyframe>]
> [psystem <coordsys>]
> [ra <col>]
> [regions]
> [retrieve]
> [samp]
> [samp broadcast]
> [samp send <application>]
> [server cds|adac|cadc|cambridge|sao|ukirt|iucaa|bejing|saao]
> [show yes|no]
> [radius <value> degrees|arcmin|arcsec]
> [sky <skyframe>]
> [skyformat <skyformat>]
> [sort <col> incr|decr]
> [symbol [#] condition|shape|color|text|font|fontsize|fontweight|fontslant <value>]
> [symbol [#] text|size|size2|units|angle <value>]
> [symbol shape circle|ellipse|box|text|point]
> [symbol shapecircle point|box point|diamond point|cross point|x point|arrow point|boxcircle point]
> [symbol add| [#] remove]
> [symbol save|load <filename>]
> [system <coordsys>]
> [update]
> [x <col>]
> [y <col>]
> Example:
> $xpaget ds9 catalog
> $xpaset -p ds9 catalog new
> $xpaset -p ds9 catalog 2mass
> $xpaset -p ds9 catalog cds 2mass
> $xpaset -p ds9 catalog cds {I/252}
> $xpaset -p ds9 catalog load foo.xml
> $xpaset -p ds9 catalog import tsv foo.tsv
> $xpaset -p ds9 catalog allrows
> $xpaset -p ds9 catalog allcols
> $xpaset -p ds9 catalog cancel
> $xpaset -p ds9 catalog clear
> $xpaset -p ds9 catalog close
> $xpaset -p ds9 catalog coordinate 202.48 47.21 fk5
> $xpaset -p ds9 catalog crosshair
> $xpaset -p ds9 catalog current 2mass
> $xpaset -p ds9 catalog dec DEC
> $xpaset -p ds9 catalog edit yes
> $xpaset -p ds9 catalog export tsv bar.tsv
> $xpaset -p ds9 catalog filter '$Jmag>10'
> $xpaset -p ds9 catalog filter load foo.flt
> $xpaset -p ds9 catalog header
> $xpaset -p ds9 catalog location 500
> $xpaset -p ds9 catalog match error 2 arcsec
> $xpaset -p ds9 catalog match function 1and2
> $xpaset -p ds9 catalog match unique no
> $xpaset -p ds9 catalog match return 1only
> $xpaset -p ds9 catalog match # last two catalogs loaded
> $xpaset -p ds9 catalog match 2mass csc
> $xpaset -p ds9 catalog maxrows 2000
> $xpaset -p ds9 catalog name m51
> $xpaset -p ds9 catalog panto no
> $xpaset -p ds9 catalog plot '$Jmag' '$Hmag' '$e_Jmag' '$e_Hmag'
> $xpaset -p ds9 catalog print
> $xpaset -p ds9 catalog psky fk5
> $xpaset -p ds9 catalog psystem wcs
> $xpaset -p ds9 catalog ra RA
> $xpaset -p ds9 catalog regions
> $xpaset -p ds9 catalog retrieve
> $xpaset -p ds9 catalog samp broadcast
> $xpaset -p ds9 catalog samp send aladin
> $xpaset -p ds9 catalog save foo.xml
> $xpaset -p ds9 catalog server sao
> $xpaset -p ds9 catalog show yes
> $xpaset -p ds9 catalog radius 1 degrees
> $xpaset -p ds9 catalog symbol condition '$Jmag>15'
> $xpaset -p ds9 catalog symbol 2 shape {boxcircle point}
> $xpaset -p ds9 catalog symbol color red
> $xpaset -p ds9 catalog symbol font times
> $xpaset -p ds9 catalog symbol fontsize 14
> $xpaset -p ds9 catalog symbol fontweight bold
> $xpaset -p ds9 catalog symbol fontslant italic
> $xpaset -p ds9 catalog symbol add
> $xpaset -p ds9 catalog symbol 2 remove
> $xpaset -p ds9 catalog symbol load foo.sym
> $xpaset -p ds9 catalog symbol save bar.sym
> $xpaset -p ds9 catalog sky fk5
> $xpaset -p ds9 catalog skyformat degrees
> $xpaset -p ds9 catalog sort {Jmag} incr
> $xpaset -p ds9 catalog system wcs
> $xpaset -p ds9 catalog update
> $xpaset -p ds9 catalog x RA
> $xpaset -p ds9 catalog y DEC`

> cd

> Sets/Returns the current working directory.

> `Syntax:
> cd [<directory>]
> Example:
> $xpaget ds9 cd
> $xpaset -p ds9 cd /home/mrbill
> `

> cmap

> Controls the colormap for the current frame. The colormap name is not case sensitive. A valid contrast value is from 0 to 10 and bias value from 0 to 1.

> `Syntax:
> cmap [<colormap>]
> [file]
> [load <filename>]
> [save <filename>]
> [invert yes|no]
> [<constrast> <bias>]
> [tag [load|save] <filename>]
> [tag delete]
> [open|close]
> Example:
> $xpaget ds9 cmap
> $xpaget ds9 cmap file
> $xpaget ds9 cmap invert
> $xpaget ds9 cmap value
> $xpaset -p ds9 cmap Heat
> $xpaset -p ds9 cmap load foo.sao
> $xpaset -p ds9 cmap save bar.sao
> $xpaset -p ds9 cmap invert yes
> $xpaset -p ds9 cmap 5 .5
> $xpaset -p ds9 cmap tag load foo.tag
> $xpaset -p ds9 cmap tag save foo.tag
> $xpaset -p ds9 cmap tag delete
> $xpaset -p ds9 cmap open
> $xpaset -p ds9 cmap close
> `

> colorbar

> Controls colorbar parameters.

> `Syntax:
> colorbar []
> [yes|no]
> [orientation]
> [horizontal|vertical]
> [numerics yes|no]
> [space value|distance]
> [font times|helvetica|courier]
> [fontsize <value>]
> [fontweight normal|bold]
> [fontslant roman|italic]
> [size]
> [ticks]
> [match]
> [lock [yes|no]]
> `
> `Example:
> $xpaget ds9 colorbar
> $xpaget ds9 colorbar orientation
> $xpaget ds9 colorbar numerics
> $xpaget ds9 colorbar space
> $xpaget ds9 colorbar font
> $xpaget ds9 colorbar fontsize
> $xpaget ds9 colorbar fontweight
> $xpaget ds9 colorbar fontslant
> $xpaget ds9 colorbar size
> $xpaget ds9 colorbar ticks
> $xpaget ds9 colorbar lock
> $xpaset -p ds9 colorbar yes
> $xpaset -p ds9 colorbar vertical
> $xpaset -p ds9 colorbar orientation vertical
> $xpaset -p ds9 colorbar numerics yes
> $xpaset -p ds9 colorbar space value
> $xpaset -p ds9 colorbar font times
> $xpaset -p ds9 colorbar fontsize 14
> $xpaset -p ds9 colorbar fontweight bold
> $xpaset -p ds9 colorbar fontslant italic
> $xpaset -p ds9 colorbar size 20
> $xpaset -p ds9 colorbar ticks 11
> $xpaset -p ds9 colorbar match
> $xpaset -p ds9 colorbar lock yes
> `

> console

> Display tcl console window.

> `Syntax:
> -console
> Example:
> $xpaset -p ds9 console
> `

> contour

> Controls contours in the current frame.

> `Syntax:
> contour []
> [yes|no]
> [<coordsys> [<skyframe>]]
> [clear]
> [generate]
> [load <filename>]
> [save <filename> [<coordsys> <skyframe>]]
> [convert]
> [load levels <filename>]
> [save levels <filename>]
> [copy]
> [paste [<coordsys> <color> <width> yes|no]]
> [color <color>]
> [width <width>]
> [dash yes|no]
> [smooth <smooth>]
> [method block|smooth]
> [nlevels <number of levels>]
> [scale linear|log|pow|squared|sqrt|asinh|sinh|histequ]
> [log exp <value>]
> [mode minmax|<value>|zscale|zmax]
> [scope global|local]
> [limits <min> <max>]
> [levels <value value value...>]
> [open|close]
> Example:
> $xpaget ds9 contour
> $xpaget ds9 contour wcs fk5
> $xpaget ds9 contour color
> $xpaget ds9 contour width
> $xpaget ds9 contour dash
> $xpaget ds9 contour smooth
> $xpaget ds9 contour method
> $xpaget ds9 contour nlevels
> $xpaget ds9 contour scale
> $xpaget ds9 contour log exp
> $xpaget ds9 contour mode
> $xpaget ds9 contour scope
> $xpaget ds9 contour limits
> $xpaget ds9 contour levels
> $xpaset -p ds9 contour
> $xpaset -p ds9 contour yes
> $xpaset -p ds9 contour clear
> $xpaset -p ds9 contour generate
> $xpaset -p ds9 contour load ds9.ctr
> $xpaset -p ds9 contour save ds9.ctr
> $xpaset -p ds9 contour save ds9.ctr wcs fk5
> $xpaset -p ds9 contour convert
> $xpaset -p ds9 contour load levels ds9.ctr
> $xpaset -p ds9 contour save levels ds9.lev
> $xpaset -p ds9 contour copy
> $xpaset -p ds9 contour paste
> $xpaset -p ds9 contour paste wcs red 2 no
> $xpaset -p ds9 contour color yellow
> $xpaset -p ds9 contour width 2
> $xpaset -p ds9 contour dash yes
> $xpaset -p ds9 contour smooth 5
> $xpaset -p ds9 contour method smooth
> $xpaset -p ds9 contour nlevels 10
> $xpaset -p ds9 contour scale sqrt
> $xpaset -p ds9 contour log exp 1000
> $xpaset -p ds9 contour mode zscale
> $xpaset -p ds9 contour scope local
> $xpaset -p ds9 contour limits 1 100
> $xpaset -p ds9 contour levels 1 10 100 1000
> $xpaset -p ds9 contour open
> $xpaset -p ds9 contour close`

> crop

> Set current image display area.

> `Syntax:
> crop [<x> <y> <width> <height> [<coordsys>][<skyframe>][degrees|arcmin|arcsec]
> [match <coordsys>]
> [lock <coordsys>|none]
> [reset]
> [3d zmin zmax <coordsys>]
> [open|close]
> Example:
> $xpaget ds9 crop # get crop in physical coords
> $xpaget ds9 crop wcs galactic sexagesimal arcsec
> $xpaget ds9 crop lock
> $xpaset -p ds9 crop 40 30 10 20 # set crop in physical coords
> $xpaset -p ds9 crop +104:51:06.915 +68:33:40.761 28.144405 22.000204 wcs galactic arcsec
> $xpaset -p ds9 crop match wcs
> $xpaset -p ds9 crop lock wcs
> $xpaset -p ds9 crop reset
> $xpaset -p ds9 crop 3d .25 .50 wcs
> $xpaset -p ds9 crop open
> $xpaset -p ds9 crop close`

> crosshair

> Controls the current position of the crosshair in the current frame. DS9 is placed in crosshair mode when the crosshair is set.

> `Syntax:
> crosshair [<x> <y> <coordsys> [<skyframe>]]
> [match <coordsys>]
> [lock <coordsys>|none]
> Example:
> $xpaget ds9 crosshair # get crosshair in physical coords
> $xpaget ds9 crosshair wcs fk4 sexagesimal # get crosshair in wcs coords
> $xpaget ds9 crosshair lock
> $xpaset -p ds9 crosshair 100 100 physical # set crosshair in physical
> $xpaset -p ds9 crosshair 345 58.8 wcs fk5 # set crosshair in wcs coords
> $xpaset -p ds9 crosshair 23:01:00 +58:52:51 wcs fk5
> $xpaset -p ds9 crosshair match wcs
> $xpaset -p ds9 crosshair lock wcs
> `

> cube

> Controls FITS cube dialog.

> `Syntax:
> cube []
> [play|stop|next|prev|first|last]
> [<slice> [<coordsys>]]
> [interval <numeric>]
> [match <coordsys>]
> [lock <coordsys>|none]
> [order 123|132|213|231|312|321]
> [axes lock [yes|no]]
> [axis <axis>]
> [open|close]
> Example:
> $xpaget ds9 cube
> $xpaget ds9 cube wcs
> $xpaget ds9 cube interval
> $xpaget ds9 cube lock
> $xpaget ds9 cube order
> $xpaget ds9 cube axes lock
> $xpaget ds9 cube axis
> $xpaset -p ds9 cube
> $xpaset -p ds9 cube play
> $xpaset -p ds9 cube last
> $xpaset -p ds9 cube 3
> $xpaset -p ds9 cube 4.4 wcs
> $xpaset -p ds9 cube interval 2
> $xpaset -p ds9 cube match wcs
> $xpaset -p ds9 cube lock wcs
> $xpaset -p ds9 cube order 123
> $xpaset -p ds9 cube axes lock yes
> $xpaset -p ds9 cube axis 3
> $xpaset -p ds9 cube open
> $xpaset -p ds9 cube close`

> cursor

> Move mouse pointer or crosshair in image pixels in the current frame. Note, this will move selected Regions also.

> `Syntax:
> cursor [<x> <y>]
> Example:
> $xpaset -p ds9 cursor 10 10
> `

> data

> Return an array of data values given a lower left corner and a width and height in specified coordinate system. The last argument of yes indicates to strip the coordinates from the output and just list the data values. The default is yes.

> `Syntax:
> data [<coordsys> [<skyframe>] <x> <y> <width> <height> [yes|no]]
> Example:
> $xpaget ds9 data image 450 520 3 3 yes
> $xpaget ds9 data physical 899 1039 6 6 no
> $xpaget ds9 data fk5 202.47091 47.196811 0.00016516669 0.00016516669 no
> $xpaget ds9 data wcs fk5 13:29:53.018 +47:11:48.52 0.00016516669 0.00016516669 no
> `

> dsssao
> dss

> Support for Digital Sky Survey at SAO.

> `Syntax:
> dsssao []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [open|close]
> Example:
> $xpaget ds9 dsssao name
> $xpaget ds9 dsssao coord
> $xpaget ds9 dsssao size
> $xpaget ds9 dsssao save
> $xpaget ds9 dsssao frame
> $xpaset -p ds9 dsssao
> $xpaset -p ds9 dsssao m31
> $xpaset -p ds9 dsssao name m31
> $xpaset -p ds9 dsssao name clear
> $xpaset -p ds9 dsssao 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 dsssao size 60 60 arcmin
> $xpaset -p ds9 dsssao save yes
> $xpaset -p ds9 dsssao frame current
> $xpaset -p ds9 dsssao update frame
> $xpaset -p ds9 dsssao open
> $xpaset -p ds9 dsssao close`

> dsseso

> Support for Digital Sky Survey at ESO.

> `Syntax:
> dsseso []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [survey DSS1|DSS2-red|DSS2-blue|DSS2-infrared]
> [open|close]
> Example:
> $xpaget ds9 dsseso name
> $xpaget ds9 dsseso coord
> $xpaget ds9 dsseso size
> $xpaget ds9 dsseso save
> $xpaget ds9 dsseso frame
> $xpaget ds9 dsseso survey
> $xpaset -p ds9 dsseso
> $xpaset -p ds9 dsseso m31
> $xpaset -p ds9 dsseso name m31
> $xpaset -p ds9 dsseso name clear
> $xpaset -p ds9 dsseso 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 dsseso size 60 60 arcmin
> $xpaset -p ds9 dsseso save yes
> $xpaset -p ds9 dsseso frame current
> $xpaset -p ds9 dsseso update frame
> $xpaset -p ds9 dsseso survey DSS2-red
> $xpaset -p ds9 dsseso open
> $xpaset -p ds9 dsseso close`

> dssstsci

> Support for Digital Sky Survey at STSCI.

> `Syntax:
> dssstsci []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [survey poss2ukstu_red|poss2ukstu_ir|poss2ukstu_blue]
> [survey poss1_blue|poss1_red]
> [survey all|quickv|phase2_gsc2|phase2_gsc1]
> [open|close]
> Example:
> $xpaget ds9 dssstsci name
> $xpaget ds9 dssstsci coord
> $xpaget ds9 dssstsci size
> $xpaget ds9 dssstsci save
> $xpaget ds9 dssstsci frame
> $xpaget ds9 dssstsci survey
> $xpaset -p ds9 dssstsci
> $xpaset -p ds9 dssstsci m31
> $xpaset -p ds9 dssstsci name m31
> $xpaset -p ds9 dssstsci name clear
> $xpaset -p ds9 dssstsci 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 dssstsci size 60 60 arcmin
> $xpaset -p ds9 dssstsci save yes
> $xpaset -p ds9 dssstsci frame current
> $xpaset -p ds9 dssstsci update frame
> $xpaset -p ds9 dssstsci survey all
> $xpaset -p ds9 dssstsci open
> $xpaset -p ds9 dssstsci close`

> envi

> Load an ENVI header and file. Optional parameter: array endian.

> `Syntax:``
> ` `envi [new] <header> [<filename>]``
> ` `` `
> ` `Example:``
> ` `$xpaset -p ds9 envi foo.hdr``
> ` `$xpaset -p ds9 envi new foo.hdr``
> ` `$xpaset -p ds9 envi foo.hdr foo.bsq``
> `
> exit

> quits

> Quits DS9.

> `Syntax:
> exit
> quit
> Example:
> $xpaset -p ds9 exit
> `

> export

> Export loaded image data of current frame in specified image format. Optional parameters: array endian, nrrd endian, jpeg quality (1-100) and tiff compression method.

> `Syntax:
> export[array|nrrd|envi|gif|tiff|jpeg|png]<filename>
> export array <filename>[big|little|native]
> export nrrd <filename>[big|little|native]
> export envi <header> [<filename>][big|little|native]
> export jpeg <filename>[1-100]
> export tiff <filename>[none|jpeg|packbits|deflate]
> Example:
> $xpaset -p ds9 export array foo.arr little
> $xpaset -p ds9 export nrrd foo.nrrd little
> $xpaset -p ds9 export envi foo.hdr little
> $xpaset -p ds9 export envi foo.hdr foo.bsq little
> $xpaset -p ds9 export tiff foo.tiff jpeg
> $xpaset -p ds9 export jpeg foo.jpeg 75
> $xpaset -p ds9 export png foo.png`

> fade

> Fade mode parameters. Interval is in seconds.

> `Syntax:
> fade []
> [yes|no]
> [interval <value>]
> Example:
> $xpaget ds9 fade
> $xpaget ds9 fade interval
> $xpaset -p ds9 fade
> $xpaset -p ds9 fade yes
> $xpaset -p ds9 fade interval 2`

> file

> Query currently loaded file information.

> `Syntax:
> file
> Example:
> $xpaget ds9 file`

> fits

> Load a FITS image into the current frame or query the currently loaded image.

> `Syntax:
> fits[new|mask|slice] [<filename>]
> [width|height|depth|bitpix]
> [size [wcs|wcsa...wcsz] [fk4|fk5|icrs|galactic|ecliptic] [degrees|arcmin|arcsecs]]
> [header [<ext>] [keyword <string>]]
> [image|table|slice]
> Example:
> $xpaget ds9 fits > foo.fits
> $xpaget ds9 fits width
> $xpaget ds9 fits height
> $xpaget ds9 fits depth
> $xpaget ds9 fits bitpix
> $xpaget ds9 fits size
> $xpaget ds9 fits size wcs fk5 arcmin
> $xpaget ds9 fits header # primary
> $xpaget ds9 fits header 2 # hdu 2
> $xpaget ds9 fits header -2 # hdu 2 with inherit
> $xpaget ds9 fits header keyword BITPIX
> $xpaget ds9 fits header 1 keyword BITPIX
> $xpaget ds9 fits image > foo.fits
> $xpaget ds9 fits table > bar.fits
> $xpaget ds9 fits slice > foo.fits
> $xpaset -p ds9 fits foo.fits
> $xpaset -p ds9 fits new foo.fits
> $xpaset -p ds9 fits bar.fits[bin=detx,dety]
> $xpaset -p ds9 fits slice foo.fits
> $xpaset -p ds9 fits mask foo.fits
> $cat foo.fits | xpaset ds9 fits
> $cat foo.fits | xpaset ds9 fits new
> $cat bar.fits | xpaset ds9 fits -[bin=detx,dety]
> $cat foo.fits | xpaset ds9 fits slice
> $cat foo.fits | xpaset ds9 fits mask
> `

> footprint
> fp

> Support for Chandra (CXC) and Hubble Legacy Archive (HLA) footprint servers.

> `Syntax:
> footprint [cxc|hla]
> [cancel]
> [clear]
> [close]
> [save <filename>]
> [export rdb|tsv <filename>]
> [coordinate <ra> <dec> <coordsys>]
> [crosshair]
> [current <ref>]
> [filter <string>]
> [filter load <filename>]
> [name <object>]
> [panto yes|no]
> [print]
> [regions]
> [retrieve]
> [show yes|no]
> [radius <value> degrees|arcmin|arcsec]
> [sky <skyframe>]
> [skyformat <skyformat>]
> [sort <col> incr|decr]
> [system <coordsys>]
> [update]
> Example:
> $xpaget ds9 footprint
> $xpaset -p ds9 footprint cxc
> $xpaset -p ds9 footprint cancel
> $xpaset -p ds9 footprint clear
> $xpaset -p ds9 footprint close
> $xpaset -p ds9 footprint coordinate 202.48 47.21 fk5
> $xpaset -p ds9 footprint crosshair
> $xpaset -p ds9 footprint current cxc
> $xpaset -p ds9 footprint export tsv foo.tsv
> $xpaset -p ds9 footprint filter '$ObsId<10000'
> $xpaset -p ds9 footprint filter load foo.flt
> $xpaset -p ds9 footprint name m51
> $xpaset -p ds9 footprint panto no
> $xpaset -p ds9 footprint print
> $xpaset -p ds9 footprint regions
> $xpaset -p ds9 footprint retrieve
> $xpaset -p ds9 footprint save foo.xml
> $xpaset -p ds9 footprint show yes
> $xpaset -p ds9 footprint radius 1 degrees
> $xpaset -p ds9 footprint sky fk5
> $xpaset -p ds9 footprint skyformat degrees
> $xpaset -p ds9 footprint sort {ObsId} incr
> $xpaset -p ds9 footprint system wcs
> $xpaset -p ds9 footprint update`

> frame

> Controls frame functions. Frames may be created, deleted, reset, and centered. While return the current frame number. If you goto a frame that does not exists, it will be created. If the frame is hidden, it will be shown. The 'frameno' option is available for backward compatibility.

> `Syntax:
> frame [center [#|all]]
> [clear [#|all]]
> [new [rgb|3d]]
> [delete [#|all]]
> [reset [#|all]]
> [refresh [#|all]]
> [hide [#|all]]
> [show [#|all]]
> [move first]
> [move back]
> [move forward]
> [move last]
> [first|next|prev|last]
> [frameno #]
> [#]
> [match <coordsys>]
> [lock <coordsys>|none]
> [has [amplifier|datamin|datasec|detector|grid|iis|irafmin|physical|smooth]]
> [has contour [aux]]]
> [has fits [bin|cube|mosaic]]
> [has marker [highlite|paste|select|undo]]
> [has system <coordsys>]
> [has wcs [<wcssys>]]
> [has wcs celestial [<wcssys>]]
> [has wcs linear [<wcssys>]]
> Example:
> $xpaget ds9 frame # returns the id of the current frame
> $xpaget ds9 frame frameno # returns the id of the current frame
> $xpaget ds9 frame all # returns the id of all frames
> $xpaget ds9 frame active # returns the id of all active frames
> $xpaget ds9 frame lock
> $xpaget ds9 frame has amplifier
> $xpaget ds9 frame has datamin
> $xpaget ds9 frame has datasec
> $xpaget ds9 frame has detector
> $xpaget ds9 frame has grid
> $xpaget ds9 frame has iis
> $xpaget ds9 frame has irafmin
> $xpaget ds9 frame has physical
> $xpaget ds9 frame has smooth
> $xpaget ds9 frame has contour
> $xpaget ds9 frame has contour aux
> $xpaget ds9 frame has fits
> $xpaget ds9 frame has fits bin
> $xpaget ds9 frame has fits cube
> $xpaget ds9 frame has fits mosaic
> $xpaget ds9 frame has marker highlite
> $xpaget ds9 frame has marker paste
> $xpaget ds9 frame has marker select
> $xpaget ds9 frame has marker undo
> $xpaget ds9 frame has system physical
> $xpaget ds9 frame has wcs wcsa
> $xpaget ds9 frame has wcs celestial wcsa
> $xpaget ds9 frame has wcs linear wcsa
> $xpaset -p ds9 frame center # center current frame
> $xpaset -p ds9 frame center 1 # center 'Frame1'
> $xpaset -p ds9 frame center all # center all frames
> $xpaset -p ds9 frame clear # clear current frame
> $xpaset -p ds9 frame new # create new frame
> $xpaset -p ds9 frame new rgb # create new rgb frame
> $xpaset -p ds9 frame delete # delete current frame
> $xpaset -p ds9 frame reset # reset current frame
> $xpaset -p ds9 frame refresh # refresh current frame
> $xpaset -p ds9 frame hide # hide current frame
> $xpaset -p ds9 frame show 1 # show frame 'Frame1'
> $xpaset -p ds9 frame move first # move frame to first in order
> $xpaset -p ds9 frame move back # move frame back in order
> $xpaset -p ds9 frame move forward # move frame forward in order
> $xpaset -p ds9 frame move last # move frame to last in order
> $xpaset -p ds9 frame first # goto first frame
> $xpaset -p ds9 frame prev # goto prev frame
> $xpaset -p ds9 frame next # goto next frame
> $xpaset -p ds9 frame last # goto last frame
> $xpaset -p ds9 frame frameno 4 # goto frame 'Frame4', create if needed
> $xpaset -p ds9 frame 3 # goto frame 'Frame3', create if needed
> $xpaset -p ds9 frame match wcs
> $xpaset -p ds9 frame lock wcs
> `

> gif

> Load GIF image into current frame.`
> `

> `Syntax:
> gif [new|slice] [<filename>]
> Example:
> $xpaget ds9 gif > foo.gif
> $xpaset -p ds9 gif foo.gif
> $xpaset -p ds9 gif new foo.gif
> $xpaset -p ds9 gif slice foo.gif
> $cat foo.gif | xpaset ds9 gif # not available windows
> $cat foo.gif | xpaset ds9 gifnew # not available windows
> $cat foo.gif | xpaset ds9 gifslice# not available windows`

> graph

> Controls horizontal and vertical cut graphs.

> `Syntax:
> graph [grid yes|no]
> [log yes|no]
> [method average|sum]
> [font times|helvetica|courier]
> [fontsize <value>]
> [fontweight normal|bold]
> [fontslant roman|italic]
> [size <integer>]
> [thickness <integer>]
> [open|close]
> Example:
> $xpaget ds9 graph grid
> $xpaget ds9 graph log
> $xpaget ds9 graph method
> $xpaget ds9 graph font
> $xpaget ds9 graph fontsize
> $xpaget ds9 graph fontweight
> $xpaget ds9 graph fontslant
> $xpaget ds9 graph size
> $xpaget ds9 graph thickness
> $xpaset -p ds9 graph grid yes
> $xpaset -p ds9 graph log no
> $xpaset -p ds9 graph method average
> $xpaset -p ds9 graph font helvetica
> $xpaset -p ds9 graph fontsize 9
> $xpaset -p ds9 graph fontweight normal
> $xpaset -p ds9 graph fontslant roman
> $xpaset -p ds9 graph size 150
> $xpaset -p ds9 graph thickness 1
> $xpaset -p ds9 graph open
> $xpaset -p ds9 graph close
> `

> grid

> Controls coordinate grid. For grid numeric format syntax, click here.

> `Syntax:
> grid []
> [yes|no]
> [type analysis|publication]
> [system <coordsys>]
> [sky <skyframe>]
> [skyformat <skyformat>]
> [grid yes|no]
> [grid color <color>]
> [grid width <value>]
> [grid dash yes|no]
> [grid gap1 <value>]
> [grid gap2 <value>]
> [grid gap3 <value>]
> [axes yes|no]
> [axes color <color>]
> [axes width <value>]
> [axes dash yes|no]
> [axes type interior|exterior]
> [axes origin lll|llu|lul|luu|ull|ulu|uul|uuu]
> [format1 <format>]
> [format2 <format>]
> [tickmarks yes|no]
> [tickmarks color <color>]
> [tickmarks width <value>]
> [tickmarks dash yes|no]
> [border yes|no]
> [border color <color>]
> [border width <value>]
> [border dash yes|no]
> [numerics yes|no]
> [numerics font times|helvetica|courier]
> [numerics fontsize <value>]
> [numerics fontweight normal|bold]
> [numerics fontslant roman|italic]
> [numerics color <color>]
> [numerics gap1 <value>]
> [numerics gap2 <value>]
> [numerics gap3 <value>]
> [numerics type interior|exterior]
> [numerics vertical yes|no]
> [title yes|no]
> [title text <text>]
> [title def yes|no]
> [title gap <value>]
> [title font times|helvetica|courier]
> [title fontsize <value>]
> [title fontweight normal|bold]
> [title fontslant roman|italic]
> [title color <color>]
> [labels yes|no]
> [labels def1 yes|no]
> [labels def2 yes|no]
> [labels text1 <text>]
> [labels text2 <text>]
> [labels gap1 <value>]
> [labels gap2 <value>]
> [labels font times|helvetica|courier]
> [labels fontsize <value>]
> [labels fontweight normal|bold]
> [labels fontslant roman|italic]
> [labels color <color>]
> [reset]
> [load <filename>]
> [save <filename>]
> [open|close]
> Example:
> $xpaget ds9 grid
> $xpaget ds9 grid type
> $xpaget ds9 grid system
> $xpaget ds9 grid sky
> $xpaget ds9 grid skyformat
> $xpaget ds9 grid grid
> $xpaget ds9 grid grid color
> $xpaget ds9 grid grid width
> $xpaget ds9 grid grid dash
> $xpaget ds9 grid grid gap1
> $xpaget ds9 grid grid gap2
> $xpaget ds9 grid grid gap3
> $xpaget ds9 grid axes
> $xpaget ds9 grid axes color
> $xpaget ds9 grid axes width
> $xpaget ds9 grid axes dash
> $xpaget ds9 grid axes type
> $xpaget ds9 grid axes origin
> $xpaget ds9 grid format1
> $xpaget ds9 grid format2
> $xpaget ds9 grid tickmarks
> $xpaget ds9 grid tickmarks color
> $xpaget ds9 grid tickmarks width
> $xpaget ds9 grid tickmarks dash
> $xpaget ds9 grid border
> $xpaget ds9 grid border color
> $xpaget ds9 grid border width
> $xpaget ds9 grid border dash
> $xpaget ds9 grid numerics
> $xpaget ds9 grid numerics font
> $xpaget ds9 grid numerics fontsize
> $xpaget ds9 grid numerics fontweight
> $xpaget ds9 grid numerics fontslant
> $xpaget ds9 grid numerics color
> $xpaget ds9 grid numerics gap1
> $xpaget ds9 grid numerics gap2
> $xpaget ds9 grid numerics gap3
> $xpaget ds9 grid numerics type
> $xpaget ds9 grid numerics vertical
> $xpaget ds9 grid title
> $xpaget ds9 grid title text
> $xpaget ds9 grid title def
> $xpaget ds9 grid title gap
> $xpaget ds9 grid title font
> $xpaget ds9 grid title fontsize
> $xpaget ds9 grid title fontweight
> $xpaget ds9 grid title fontslant
> $xpaget ds9 grid title color
> $xpaget ds9 grid labels
> $xpaget ds9 grid labels text1
> $xpaget ds9 grid labels def1
> $xpaget ds9 grid labels gap1
> $xpaget ds9 grid labels text2
> $xpaget ds9 grid labels def2
> $xpaget ds9 grid labels gap2
> $xpaget ds9 grid labels font
> $xpaget ds9 grid labels fontsize
> $xpaget ds9 grid labels fontweight
> $xpaget ds9 grid labels fontslant
> $xpaget ds9 grid labels color
> $xpaset -p ds9 grid
> $xpaset -p ds9 grid yes
> $xpaset -p ds9 grid type analysis
> $xpaset -p ds9 grid system wcs
> $xpaset -p ds9 grid sky fk5
> $xpaset -p ds9 grid skyformat degrees
> $xpaset -p ds9 grid grid yes
> $xpaset -p ds9 grid grid color red
> $xpaset -p ds9 grid grid width 2
> $xpaset -p ds9 grid grid dash yes
> $xpaset -p ds9 grid grid gap1 10
> $xpaset -p ds9 grid grid gap2 10
> $xpaset -p ds9 grid grid gap3 10
> $xpaset -p ds9 grid axes yes
> $xpaset -p ds9 grid axes color red
> $xpaset -p ds9 grid axes width 2
> $xpaset -p ds9 grid axes dash yes
> $xpaset -p ds9 grid axes type exterior
> $xpaset -p ds9 grid axes origin lll
> $xpaset -p ds9 grid format1 d.2
> $xpaset -p ds9 grid format2 d.2
> $xpaset -p ds9 grid tickmarks yes
> $xpaset -p ds9 grid tickmarks color red
> $xpaset -p ds9 grid tickmarks width 2
> $xpaset -p ds9 grid tickmarks dash yes
> $xpaset -p ds9 grid border yes
> $xpaset -p ds9 grid border color red
> $xpaset -p ds9 grid border width 2
> $xpaset -p ds9 grid border dash yes
> $xpaset -p ds9 grid numerics yes
> $xpaset -p ds9 grid numerics font courier
> $xpaset -p ds9 grid numerics fontsize 12
> $xpaset -p ds9 grid numerics fontweight bold
> $xpaset -p ds9 grid numerics fontslant italic
> $xpaset -p ds9 grid numerics color red
> $xpaset -p ds9 grid numerics gap1 10
> $xpaset -p ds9 grid numerics gap2 10
> $xpaset -p ds9 grid numerics gap3 10
> $xpaset -p ds9 grid numerics type exterior
> $xpaset -p ds9 grid numerics vertical yes
> $xpaset -p ds9 grid title yes
> $xpaset -p ds9 grid title text {Hello World}
> $xpaset -p ds9 grid title def yes
> $xpaset -p ds9 grid title gap 10
> $xpaset -p ds9 grid title font courier
> $xpaset -p ds9 grid title fontsize 12
> $xpaset -p ds9 grid title fontweight bold
> $xpaset -p ds9 grid title fontslant italic
> $xpaset -p ds9 grid title color red
> $xpaset -p ds9 grid labels yes
> $xpaset -p ds9 grid labels text1 {Hello World}
> $xpaset -p ds9 grid labels def1 yes
> $xpaset -p ds9 grid labels gap1 10
> $xpaset -p ds9 grid labels text2 {Hello World}
> $xpaset -p ds9 grid labels def2 yes
> $xpaset -p ds9 grid labels gap2 10
> $xpaset -p ds9 grid labels font courier
> $xpaset -p ds9 grid labels fontsize 12
> $xpaset -p ds9 grid labels fontweight boldj
> $xpaset -p ds9 grid labels fontslant italic
> $xpaset -p ds9 grid labels color red
> $xpaset -p ds9 grid reset
> $xpaset -p ds9 grid load foo.grd
> $xpaset -p ds9 grid save foo.grd
> $xpaset -p ds9 grid open
> $xpaset -p ds9 grid close`

> header

> Display current fits header dialog. Optional extension number maybe specified. Please note, this differs from xpa fits header.

> `Syntax:
> header [<ext>]
> [close [<ext>]]
> [save [<ext>] <filename>]
> Example:
> $xpaset -p ds9 header
> $xpaset -p ds9 header 2
> $xpaset -p ds9 header close
> $xpaset -p ds9 header save 1 foo.txt
> `

> height

> Set the height of the image display window.

> `Syntax:
> height [<value>]
> Example:
> $xpaget ds9 height
> $xpaset -p ds9 height 512
> `

> iconify

> Toggles iconification.

> `Syntax:
> iconify []
> [yes|no]
> Example:
> $xpaget ds9 iconify
> $xpaset -p ds9 iconify
> $xpaset -p ds9 iconify yes
> `

> iexam

> Interactive examine function. A blinking cursor will indicate to the user to click on a point on an image. The specified information will be returned at that time. The default event is `button`. In the last form, the following macros will be expanded if present: `$width, $height, $depth, $bitpix, $filename, $regions, $filename[$regions], $env, $pan, $value, $x, $y, $z.` See Analysis Macros for more information.

> `Syntax:
> iexam []
> [[]|button|key|any] coordinate <coordsys> [<skyframe>] [<skyformat>]
> [[]|button|key|any] data [width][height]
> [[]|button|key|any] <macro string>]
> Example:
> $xpaget ds9 iexam # image coordinates
> $xpaget ds9 iexam coordinate image
> $xpaget ds9 iexam key coordinate image # return coordinate and key event
> $xpaget ds9 iexam coordinate wcs fk5 degrees
> $xpaget ds9 iexam coordinate wcs galactic sexagesimal
> $xpaget ds9 iexam coordinate fk5
> $xpaget ds9 iexam data # return data value
> $xpaget ds9 iexam key data # return data value and key event
> $xpaget ds9 iexam data 3 3 # return all data in 3x3 box about selected point
> $xpaget ds9 iexam {'Click at $x,$y in file $filename'}`

> iis

> Set/Get IIS Filename. Optional mosaic number maybe supplied.

> `Syntax:
> iis [filename <filename> [#]]
> Example:
> $xpaget ds9 iis filename
> $xpaget ds9 iis filename 4
> $xpaset -p ds9 iis filename foo.fits
> $xpaset -p ds9 iis filename bar.fits 4`

> illustrate

> Controls illustrations.

> `Syntax:
> illustrate [<filename>]
> [load <filename>]
> [save [select|all] <filename>]
> [list [select|all]]
> [select all|none|invert|frong|back]
> [move front|back]
> [delete [select|all]]
> [shape <shape>]
> [color <color>]
> [fill yes|no]
> [width <width>]
> [dash yes|no]
> [command <region command>]
> [copy]
> [cut]
> [paste]
> [undo]
> [open|close]
> Example:
> $xpaget ds9 illustrate
> $xpaget ds9 illustrate show
> $xpaget ds9 illustrate shape
> $xpaget ds9 illustrate color
> $xpaget ds9 illustrate fill
> $xpaget ds9 illustrate width
> $xpaget ds9 illustrate dash
> $cat foo.reg | xpaset ds9 illustrate
> $echo "circle 100 100 20" | xpaset ds9 illustrate
> $xpaset -p ds9 illustrate foo.reg
> $xpaset -p ds9 illustrate load foo.reg # load foo.reg into current frame
> $xpaset -p ds9 illustrate save foo.reg
> $xpaset -p ds9 illustrate save select foo.reg
> $xpaset -p ds9 illustrate list
> $xpaset -p ds9 illustrate list select
> $xpaset -p ds9 illustrate list close
> $xpaset -p ds9 illustrate show yes
> $xpaset -p ds9 illustrate select all
> $xpaset -p ds9 illustrate select none
> $xpaset -p ds9 illustrate select invert
> $xpaset -p ds9 illustrate select front
> $xpaset -p ds9 illustrate select back
> $xpaset -p ds9 illustrate move back
> $xpaset -p ds9 illustrate move front
> $xpaset -p ds9 illustrate delete
> $xpaset -p ds9 illustrate delete select
> $xpaset -p ds9 illustrate color red
> $xpaset -p ds9 illustrate fill yes
> $xpaset -p ds9 illustrate width 3
> $xpaset -p ds9 illustrate dash no
> $xpaset -p ds9 illustrate command {circle 100 100 20}
> $xpaset -p ds9 illustrate copy
> $xpaset -p ds9 illustrate cut
> $xpaset -p ds9 illustrate paste
> $xpaset -p ds9 illustrate undo
> $xpaset -p ds9 illustrate open
> $xpaset -p ds9 illustrate close
> `

> jpeg

> Load JPEG image into current frame. Optional parameters: `jpeg` quality (1-100)

> `Syntax:
> jpeg [new|slice] [<filename>] [1-100]
> Example:
> $xpaget ds9 jpeg > foo.jpeg
> $xpaget ds9 jpeg 100 > foo.jpeg
> $xpaset -p ds9 jpeg foo.jpeg
> $xpaset -p ds9 jpeg new foo.jpeg
> $xpaset -p ds9 jpeg slice foo.jpeg
> $cat foo.jpeg | xpaset ds9 jpeg# not available windows
> $cat foo.jpeg | xpaset ds9 jpegnew# not available windows
> $cat foo.jpeg | xpaset ds9 jpegslice# not available windows`

> lock

> Lock all other frames to the current frame.

> `Syntax:
> lock[frame <coordsys>|none]
> [crosshair <coordsys>|none]
> [crop <coordsys>|none]
> [slice <coordsys>|none]]
> [bin [yes|no]]
> [axes [yes|no]]
> [scale [yes|no]]
> [scalelimites [yes|no]]
> [colorbar [yes|no]]
> [block [yes|no]]
> [smooth [yes|no]]
> [3d [yes|no]]
> Example:
> $xpaget -p ds9 lock frame
> $xpaget -p ds9 lock crosshair
> $xpaget -p ds9 lock crop
> $xpaget -p ds9 lock slice
> $xpaget -p ds9 lock bin
> $xpaget -p ds9 lock axes
> $xpaget -p ds9 lock scale
> $xpaget -p ds9 lock scalelimits
> $xpaget -p ds9 lock colorbar
> $xpaget -p ds9 lock block
> $xpaget -p ds9 lock smooth
> $xpaget -p ds9 lock 3d
> $xpaset -p ds9 lock frame wcs
> $xpaset -p ds9 lock crosshair wcs
> $xpaset -p ds9 lock crop wcs
> $xpaset -p ds9 lock slice wcs
> $xpaset -p ds9 lock bin yes
> $xpaset -p ds9 lock axes yes
> $xpaset -p ds9 lock scale yes
> $xpaset -p ds9 lock scalelimits yes
> $xpaset -p ds9 lock colorbar yes
> $xpaset -p ds9 lock block yes
> $xpaset -p ds9 lock smooth yes
> $xpaset -p ds9 lock 3d yes
> ` lower

> Lower in the window stacking order.

> `Syntax:
> lower
> Example:
> $xpaset -p ds9 lower
> `

> magnifier

> Controls the magnifier settings.

> `Syntax:
> magnifier [color <color>]
> [zoom <value>]
> [cursor yes|no]
> [region yes|no]
> Example:
> $xpaget ds9 magnifier color
> $xpaget ds9 magnifier zoom
> $xpaget ds9 magnifier cursor
> $xpaget ds9 magnifier region
> $xpaset -p ds9 magnifier color yellow
> $xpaset -p ds9 magnifier zoom 2
> $xpaset -p ds9 magnifier cursor no
> $xpaset -p ds9 magnifier region no`

> mask

> Controls mask parameters.

> `Syntax:
> mask [color <color>]
> [mark zero|nonzero|nan|nonnan|range]
> [range <low> <high>]
> [transparency <value>]
> [blend source|screen|darken|lighten]
> [system <coordsys>]
> [clear]
> [load <filename>]
> [open|close]
> Example:
> $xpaget ds9 mask color
> $xpaget ds9 mask mark
> $xpaget ds9 mask range
> $xpaget ds9 mask transparency
> $xpaget ds9 mask blend
> $xpaget ds9 mask system
> $xpaset -p ds9 mask color red
> $xpaset -p ds9 mask mark zero
> $xpaset -p ds9 mask range 10 100
> $xpaset -p ds9 mask transparency 50
> $xpaset -p ds9 mask blend source
> $xpaset -p ds9 mask system wcs
> $xpaset -p ds9 mask clear
> $xpaset -p ds9 mask load foo.fits
> $xpaset -p ds9 mask open
> $xpaset -p ds9 mask close`

> match

> Match all other frames to the current frame.

> `Syntax:
> match[frame <coordsys>]
> [crosshair <coordsys>]
> [crop <coordsys>]
> [slice <coordsys>]
> [bin]
> [axes]
> [scale]
> [scalelimits]
> [colorbar]
> [block]
> [smooth]
> [3d]
> Example:
> $xpaset -p ds9 match frame wcs
> $xpaset -p ds9 match crosshair wcs
> $xpaset -p ds9 match crop wcs
> $xpaset -p ds9 match slicewcs
> $xpaset -p ds9 match bin
> $xpaset -p ds9 match axes
> $xpaset -p ds9 match scale
> $xpaset -p ds9 match scalelimits
> $xpaset -p ds9 match colorbar
> $xpaset -p ds9 match block
> $xpaset -p ds9 match smooth
> $xpaset -p ds9 match 3d
> ` mecube

> Load FITS multiple extension file as data cube.

> `Syntax:
> mecube [new] [<filename>]
> Example:
> $xpaget ds9 mecube > foo.fits
> $xpaset -p ds9 mecube foo.fits
> $xpaset -p ds9 mecube new foo.fits
> $cat foo.fits | xpaset ds9 mecube
> $cat foo.fits | xpaset ds9 mecube new`

> minmax

> This is how DS9 determines the min and max data values from the data. `SCAN` will scan all data. `DATAMIN` and `IRAFMIN` will use the values of the keywords if present.

> `Syntax:
> minmax [scan|sample|datamin|irafmin]
> [mode scan|sample|datamin|irafmin]
> [interval #]
> [rescan]
> Example:
> $xpaget ds9 minmax mode
> $xpaget ds9 minmax interval
> $xpaset -p ds9 minmax scan
> $xpaset -p ds9 minmax mode scan
> $xpaset -p ds9 minmax interval 100
> ` $xpaset -p ds9 minmax rescan

> mode

> Controls the first mouse button mode.

> `Syntax:
> mode [none|region|crosshair|colorbar|pan|zoom|rotate|catalog|examine|3d]
> Example:
> $xpaget ds9 mode
> $xpaset -p ds9 mode crosshair`

> mosaic

> Load FITS mosaic segment into current frame.

> `Syntax:
> mosaic [wcs|wcsa...wcsz|iraf] [new|mask] [<filename>]
> Example:
> $xpaget ds9 mosaic > foo.fits
> $xpaset -p ds9 mosaic foo.fits
> $xpaset -p ds9 mosaic wcs foo.fits
> $xpaset -p ds9 mosaic wcs new foo.fits
> $xpaset -p ds9 mosaic wcs mask foo.fits
> $cat foo.fits | xpaset ds9 mosaic
> $cat foo.fits | xpaset ds9 mosaic wcs
> $cat foo.fits | xpaset ds9 mosaic wcs new
> $cat foo.fits | xpaset ds9 mosaic wcs mask
> `

> mosaicimage

> Load FITS mosaic image into current frame.

> `Syntax:
> mosaicimage [wcs|wcsa...wcsz|iraf|wfpc2] [new|mask] [<filename>]
> Example:
> $xpaget ds9 mosaicimage > foo.fits
> $xpaset -p ds9 mosaicimage foo.fits
> $xpaset -p ds9 mosaicimage wcs foo.fits
> $xpaset -p ds9 mosaicimage wcs new foo.fits
> $xpaset -p ds9 mosaicimage wcs mask foo.fits
> $cat foo.fits | xpaset ds9 mosaicimage
> $cat foo.fits | xpaset ds9 mosaicimage wcs
> $cat foo.fits | xpaset ds9 mosaicimage wcs new
> $cat foo.fits | xpaset ds9 mosaicimage wcs mask
> `

> movie

> Create a movie from snap shots of the DS9 window. A `slice` movie cycles though all slices of a cube. A `frame` movie cycles through all active frames. A `3d` movie cycles through specified viewing angles. The default action is `slice`. Movie types are either `MPEG` or `Animated GIF`, with default `MPEG`. Optional parameters for `3d`: number of frames, azimuth from/to, elevation from/to, slice from/to, oscillate/repeat times.

> `Syntax:
> movie [slice|frame] [mpeg|gif <delay> blink|fade] <filename>
> movie 3d [mpeg|gif <delay>] <filename> [number|az from|az to|el from|el to|slice from|slice to|zoom from|zoom to|oscillate|repeat <#>]
> Example:
> $xpaset -p ds9 movie slice mpeg ds9.mpg
> $xpaset -p ds9 movie frame gif ds9.gif
> $xpaset -p ds9 movie frame gif 100 fade ds9.gif
> $xpaset -p ds9 movie 3d mpeg ds9.mpg number 10 az from -60 az to 60 oscillate 1
> `

> multiframe

> Load FITS multiple extension file as multiple images.

> `Syntax:
> multiframe [<filename>]
> Example:
> $xpaset -p ds9 multiframe foo.fits
> $cat foo.fits | xpaset ds9 multiframe# not available windows`

> nameserver

> Support Name Server functions. Coordinates are in fk5.

> `Syntax:
> nameserver [<object>]
> [name <object>]
> [serverned-sao|ned-cds|simbad-sao|simbad-cds|vizier-sao|vizier-cds]
> [skyformat degrees|sexagesimal]
> [pan]
> [crosshair]
> [open|close]
> Example:
> $xpaget ds9 nameserver
> $xpaget ds9 nameserver server
> $xpaget ds9 nameserver skyformat
> $xpaget ds9 nameserver m31
> $xpaset -p ds9 nameserver m31
> $xpaset -p ds9 nameserver name m31
> $xpaset -p ds9 nameserver server ned-sao
> $xpaset -p ds9 nameserver skyformat sexagesimal
> $xpaset -p ds9 nameserver pan
> $xpaset -p ds9 nameserver crosshair
> $xpaset -p ds9 nameserver open
> $xpaset -p ds9 nameserver close`

> notes

> Display Notebook.

> `Syntax:
> notes [<string>]
> [append <string>]
> [insert <string>]
> [clear]
> [load <filename>]
> [save <filename>]
> [open|close]
> Example:
> $xpaget ds9 notes
> $xpaset -p ds9 notes {Hello World}
> $xpaset -p ds9 notes append {Hello World}
> $xpaset -p ds9 notes insert {Hello World}
> $xpaset -p ds9 notes clear
> $xpaset -p ds9 notes load foo.txt
> $xpaset -p ds9 notes save foo.txt
> $xpaset -p ds9 notes open
> $xpaset -p ds9 notes close

> nrrd

> Load an NRRD (Nearly Raw Raster Data) file. Optional parameter: array endian.

> `Syntax:
> nrrd [native|little|big]
> nrrd [new|mask] [<filename>]
> Example:
> $xpaget ds9 nrrd
> $xpaget ds9 nrrd big
> $xpaset -p ds9 nrrd foo.nrrd
> $xpaset -p ds9 nrrd new foo.nrrd
> $xpaset -p ds9 nrrd mask foo.nrrd
> $cat foo.nrrd | xpaset ds9 nrrd
> $cat foo.nrrd | xpaset ds9 nrrdnew
> $cat foo.nrrd | xpaset ds9 nrrd mask`

> nvss

> Support for NRAO VLA Sky Survey.

> `Syntax:
> nvss []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [open|close]
> Example:
> $xpaget ds9 nvss name
> $xpaget ds9 nvss coord
> $xpaget ds9 nvss size
> $xpaget ds9 nvss save
> $xpaget ds9 nvss frame
> $xpaset -p ds9 nvss
> $xpaset -p ds9 nvss m31
> $xpaset -p ds9 nvss name m31
> $xpaset -p ds9 nvss name clear
> $xpaset -p ds9 nvss 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 nvss size 60 60 arcmin
> $xpaset -p ds9 nvss save yes
> $xpaset -p ds9 nvss frame current
> $xpaset -p ds9 nvss update frame
> $xpaset -p ds9 nvss open
> $xpaset -p ds9 nvss close`

> orient

> Controls the orientation of the current frame.

> `Syntax:
> orient [none|x|y|xy]
> [open|close]
> Example:
> $xpaget ds9 orient
> $xpaset -p ds9 orient xy
> $xpaset -p ds9 orient open
> $xpaset -p ds9 orient close
> `

> pagesetup

> Controls Page Setup options.

> `Syntax:
> pagesetup [orient portrait|landscape]
> [scale <numberic>]
> [size letter|legal|tabloid|poster|a4]
> Example:
> $xpaget ds9 pagesetup orient
> $xpaget ds9 pagesetup scale
> $xpaget ds9 pagesetup size
> $xpaset -p ds9 pagesetup orient portrait
> $xpaset -p ds9 pagesetup scale 50
> $xpaset -p ds9 pagesetup size poster
> `

> pan

> Controls the current image cursor location for the current frame.

> `Syntax:
> pan [<coordsys> [<skyframe>] [<skyformat>]] # get current coords
> pan [<x> <y> <coordsys> [<skyframe>]] # relative
> [to <x> <y> <coordsys> [<skyframe>]] # absolute
> [open|close]
> Example:
> $xpaget ds9 pan # get current image coords
> $xpaget ds9 pan wcs fk4 sexagesimal # get current coords
> $xpaset -p ds9 pan 200 200 image # pan relative
> $xpaset -p ds9 pan to 400 400 physical # pan to physical coords
> $xpaset -p ds9 pan to 13:29:55 47:11:50 wcs fk5 # pan to wcs coords
> $xpaset -p ds9 pan open
> $xpaset -p ds9 pan close
> `

> pixeltable

> Display/Hide the pixel table.

> `Syntax:
> pixeltable []
> [yes|open]
> [no|close]
> Example:
> $xpaget ds9 pixeltable
> $xpaset -p ds9 pixeltable
> $xpaset -p ds9 pixeltable yes
> $xpaset -p ds9 pixeltable open
> $xpaset -p ds9 pixeltable close`

> plot

> Display and configure data plots. The last plot created is assumed. Plot data is assumed to be a pair of coordinates, with optional error values. The follow are valid data descriptions:

> > `xy x and y coordinates
> > xyex x,y coordinates with x errors
> > xyey x,y coordinates with y errors
> > xyexey x,y coordinates with x and y errors
> > `

> `Syntax:

> # create new empty plot window
> plot [line|bar [<ref>]]
> [line|bar [<ref>] <title> <xaxis label> <yaxis label> xy|xyex|xyey|xyexey]

> # create new plot from data file
> plot [line|bar <filename> [<ref>] xy|xyex|xyey|xyexey]
> [line|bar <filename> [<ref>] <title> <xaxis label> <yaxis label> xy|xyex|xyey|xyexey]

> # create new plot with data from stdin which includes title/dim headers
> plot [line|bar [<ref>] stdin]

> # load data into existing plot from stdin
> plot [data xy|xyex|xyey|xyexey]

> # existing plot
> plot [gui]
> [load <filename> xy|xyex|xyey|xyexey]
> [save <filename>]
> [current <ref>]
> [layout grid|row|column|strip]
> [layout strip scale <percent>]
> [add graph line|bar]
> [current graph <graph>]
> [delete graph]
> [current dataset <dataset>]
> [delete dataset]
> [duplicate]
> [stats yes|no]
> [list yes|no]
> [backup <filename>]
> [restore <filename>]
> [pagesetup orient portrait|landscape]
> [pagesetup size letter|legal|tabloid|poster|a4]
> [print]
> [print destination printer|file]
> [print command <command>]
> [print filename <filename>]
> [print color rgb|gray]
> [close]
> [mode pointer|zoom]

> # export
> plot [export <filename>]
> [export eps|gif|tiff|jpeg|png <filename>]
> [export jpeg <filename> [1-100]]
> [export tiff <filename> none|jpeg|packbits|deflate]]

> # configure graph
> plot [axis x|y grid yes|no]
> [axis x|y log yes|no]
> [axis x|y flip yes|no]
> [axis x|y auto yes|no]
> [axis x|y min <value>]
> [axis x|y max <value>]
> [axis x|y format <string>]
> [background <value>]
> [legend yes|no]
> [legend position right|left|top|bottom|plotarea]
> [font title|labels|numbers font times|helvetica|courier]
> [font title|labels|numbers size <value>]
> [font title|labels|numbers weight normal|bold]
> [font title|labels|numbers slant roman|italic]
> [title <string>]
> [title x|y <string>]

> # dataset
> plot [show yes|no]
> [name <string>]

> # line dataset
> plot [line smooth step|linear|cubic|quadratic|catrom]
> [line color <value>]
> [line width <value>]
> [line dash yes|no]
> [line fill yes|no]
> [line fill color <value>]
> [line shape symbol none|circle|square|diamond|plus|splus|scross|triangle|arrow]
> [line shape color <value>]
> [line shape fill yes|no]

> # bar dataset
> plot [bar border color <value>]
> [bar border width <value>]
> [bar fill yes|no]
> [bar color <value>]
> [bar width <value>]

> # error bar
> plot [error yes|no]
> [error color <value>]
> [error cap yes|no]
> [error width <value>]

> Example:
> # return all plotnames
> $xpaget ds9 plot

> # create new empty plot window
> $xpaset -p ds9 plot line
> $xpaset -p ds9 plot bar

> # create new plot from data file
> $xpaset -p ds9 plot line xy.dat xy
> $xpaset -p ds9 plot line xy.dat {The Title} {X Axis} {Y Axis} xy
> $cat xy.dat | xpaset ds9 plot line {The Title} {X Axis} {Y Axis} xy

> # create new plot with data from stdin which includes title/dim headers
> $cat stdin.2.dat | xpaset ds9 plot stdin

> #load data into existing plot from stdin
> $cat xy.dat | xpaset ds9 plot data xy

> # existing plot
> $xpaget ds9 plot layout
> $xpaget ds9 plot layout strip scale
> $xpaget ds9 plot current
> $xpaget ds9 plot current graph
> $xpaget ds9 plot current dataset
> $xpaget ds9 plot stats
> $xpaget ds9 plot list
> $xpaget ds9 plot mode
> $xpaset ds9 plot gui
> $xpaset -p ds9 plot load xy.dat xy
> $xpaset -p ds9 plot save foo.dat
> $xpaset -p ds9 plot current foo
> $xpaset -p ds9 plot layout strip
> $xpaset -p ds9 plot layout strip scale 30
> $xpaset -p ds9 plot add graph bar
> $xpaset -p ds9 plot current graph 1
> $xpaset -p ds9 plot delete graph
> $xpaset -p ds9 plot current dataset 1
> $xpaset -p ds9 plot delete dataset
> $xpaset -p ds9 plot duplicate
> $xpaset -p ds9 plot stats yes
> $xpaset -p ds9 plot list yes
> $xpaset -p ds9 plot backup foo.bck
> $xpaset -p ds9 plot restore foo.bck
> $xpaset -p ds9 plot pagesetup orient portrait
> $xpaset -p ds9 plot pagesetup size letter
> $xpaset -p ds9 plot print
> $xpaset -p ds9 plot print destination file
> $xpaset -p ds9 plot print command lp
> $xpaset -p ds9 plot print filename foo.ps
> $xpaset -p ds9 plot print color rgb
> $xpaset -p ds9 plot close
> $xpaset -p ds9 plot mode pointer

> # export plot
> $xpaset -p ds9 plot export tiff foo.tiff jpeg
> $xpaset -p ds9 plot export jpeg foo.jpeg 75
> $xpaset -p ds9 plot export png foo.png

> # configure graph
> $xpaget ds9 plot axis x grid
> $xpaget ds9 plot axis x log
> $xpaget ds9 plot axis x flip
> $xpaget ds9 plot axis x auto
> $xpaget ds9 plot axis x min
> $xpaget ds9 plot axis x max
> $xpaget ds9 plot axis x format
> $xpaget ds9 plot background
> $xpaget ds9 plot legend
> $xpaget ds9 plot legend position
> $xpaget ds9 plot font numbers font
> $xpaget ds9 plot font numbers size
> $xpaget ds9 plot font numbers weight
> $xpaget ds9 plot font numbers slant
> $xpaget ds9 plot title
> $xpaget ds9 plot title xaxis
> $xpaget ds9 plot title yaxis
> $xpaset -p ds9 plot axis x grid yes
> $xpaset -p ds9 plot axis x log yes
> $xpaset -p ds9 plot axis x flip yes
> $xpaset -p ds9 plot axis x auto no
> $xpaset -p ds9 plot axis x min 1
> $xpaset -p ds9 plot axis x max 100
> $xpaset -p ds9 plot axis x format {%f}
> $xpaset -p ds9 plot background white
> $xpaset -p ds9 plot legend yes
> $xpaset -p ds9 plot legend position left
> $xpaset -p ds9 plot font numbers font times
> $xpaset -p ds9 plot font numbers size 12
> $xpaset -p ds9 plot font numbers weight bold
> $xpaset -p ds9 plot font numbers slant italic
> $xpaset -p ds9 plot title {This is a Title}
> $xpaset -p ds9 plot title x {X Axis}
> $xpaset -p ds9 plot title y {Y Axis}
> $xpaset -p ds9 plot title legend {This is the Legend}

> # configure current dataset
> $xpaget ds9 plot show
> $xpaget ds9 plot name
> $xpaset -p ds9 plot show yes
> $xpaset -p ds9 plot name {My Data}

> # line dataset
> $xpaget ds9 plot line smooth
> $xpaget ds9 plot line color
> $xpaget ds9 plot line width
> $xpaget ds9 plot line dash
> $xpaget ds9 plot line fill
> $xpaget ds9 plot line fill color
> $xpaget ds9 plot line shape symbol
> $xpaget ds9 plot line shape color
> $xpaget ds9 plot line shape fill
> $xpaset -p ds9 plot line smooth step
> $xpaset -p ds9 plot line color red
> $xpaset -p ds9 plot line width 2
> $xpaset -p ds9 plot line dash yes
> $xpaset -p ds9 plot line fill no
> $xpaset -p ds9 plot line fill color red
> $xpaset -p ds9 plot line shape symbol circle
> $xpaset -p ds9 plot line shape color cyan
> $xpaset -p ds9 plot line shape fill no

> # bar dataset
> $xpaget ds9 plot bar border color
> $xpaget ds9 plot bar border width
> $xpaget ds9 plot bar fill
> $xpaget ds9 plot bar color
> $xpaget ds9 plot bar width
> $xpaset -p ds9 plot bar border color red
> $xpaset -p ds9 plot bar border width 2
> $xpaset -p ds9 plot bar fill no
> $xpaset -p ds9 plot bar color red
> $xpaset -p ds9 plot bar width 10

> $xpaget ds9 plot error
> $xpaget ds9 plot error color
> $xpaget ds9 plot error cap
> $xpaget ds9 plot error width
> $xpaset -p ds9 plot error yes
> $xpaset -p ds9 plot error color red
> $xpaset -p ds9 plot error cap yes
> $xpaset -p ds9 plot error width 2

> ` png

> Load PNG image into current frame.

> `Syntax:
> png [new|slice] [<filename>]
> Example:
> $xpaget ds9 png > foo.png
> $xpaset -p ds9 png foo.png
> $xpaset -p ds9 png new foo.png
> $xpaset -p ds9 png slice foo.png
> $cat foo.png | xpaset ds9 png
> $cat foo.png | xpaset ds9 png new
> $cat foo.png | xpaset ds9 png slice`

> prefs

> Controls various preference settings.

> `Syntax:
> prefs [open]
> [save]
> [clear]
> [close]
> [bg color yes|no]
> [bg color <color>]
> [nan color <color>]
> [precision <linear> <degree> <hms> <dms> <len linear> <len degree> <len arcmin> <len arcsec> <angle>]
> [theme <theme>]
> [threads <numeric>]
> [irafalign yes|no]
> Example:
> $xpaget ds9 prefs has bg color
> $xpaget ds9 prefs bg color
> $xpaget ds9 prefs nan color
> $xpaget ds9 prefs precision
> $xpaget ds9 prefs theme
> $xpaget ds9 prefs threads
> $xpaget ds9 prefs irafalign
> $xpaset -p ds9 prefs open
> $xpaset -p ds9 prefs save
> $xpaset -p ds9 prefs clear
> $xpaset -p ds9 prefs close
> $xpaset -p ds9 prefs bg color no
> $xpaset -p ds9 prefs bg color red
> $xpaset -p ds9 prefs nan color blue
> $xpaset -p ds9 prefs precision 8 7 4 3 8 7 5 3 8
> $xpaset -p ds9 prefs theme radiance
> $xpaset -p ds9 prefs threads 8
> $xpaset -p ds9 prefs iraf yes
> `

> preserve

> Preserve the follow attributes while loading a new image.

> `Syntax:
> preserve [pan yes|no]
> [regions yes|no]
> Example:
> $xpaget ds9 preserve pan
> $xpaget ds9 preserve regions
> $xpaset -p ds9 preserve pan yes
> $xpaset -p ds9 preserve regions yes`

> psprint

> Invokes postscript printing. Please see print for further details.

> print

> Controls printing. Use print option to set printing options. Only available for `XPA_METHOD local.`

> `Syntax:
> print [destination printer|file]
> [command <command>]
> [filename <filename>]
> [color rgb|cmyk|gray]
> [level 1|2|3]
> [resolution 72|screen|96|144|150|225|300|600|1200]
> Example:
> $xpaget ds9 print destination
> $xpaget ds9 print command
> $xpaget ds9 print filename
> $xpaget ds9 print color
> $xpaget ds9 print level
> $xpaget ds9 print resolution
> $xpaset -p ds9 print
> $xpaset -p ds9 print destination file
> $xpaset -p ds9 print command lp
> $xpaset -p ds9 print filename foo.ps
> $xpaset -p ds9 print color cmyk
> $xpaset -p ds9 print level 2
> $xpaset -p ds9 print resolution 96`

> prism

> Invoke FITS analysis tool.

> `Syntax:
> prism []
> [open]
> [<filename>]
> [load <filename>]
> [import xml|rdb|tsv <filename>]
> [export xml|rdb|tsv <filename>]
> [clear]
> [current <ref>]
> [ext <int>|<extname>]
> [first|next|prev|last]
> [goto <int>]
> [image]
> [mode newplot|newgraph|overplot]
> [histogram <col> <numbins> [<min> <max>]]
> [plot <colx> <coly> [<colerrx>] [<colerry>] xy|xyex|xyey|xyexey]
> Example:
> $xpaget ds9 prism
> $xpaset -p ds9 prism
> $xpaset -p ds9 prism open
> $xpaset -p ds9 prism foo.fits
> $xpaset -p ds9 prism load bar.fits
> $xpaset -p ds9 prism import tsv bar.tsv
> $xpaset -p ds9 prism clear
> $xpaset -p ds9 prism current prism2
> $xpaset -p ds9 prism ext 2
> $xpaset -p ds9 prism ext STDEVT
> $xpaset -p ds9 prism first
> $xpaset -p ds9 prism next
> $xpaset -p ds9 prism goto 20345
> $xpaset -p ds9 prism image
> $xpaset -p ds9 prism mode newplot
> $xpaset -p ds9 prism histogram RAWX 40
> $xpaset -p ds9 prism histogram RAWX 40 0 100
> $xpaset -p ds9 prism plot RAWX RAWY xy
> $xpaset -p ds9 prism plot RAWX RAWY PHA xyex
> $xpaset -p ds9 prism plot RAWX RAWY PHA PHI xyexey
> `

> raise

> Raise in the window stacking order.

> `Syntax:
> raise
> Example:
> $xpaset -p ds9 raise`

> region

> Controls regions in the current frame.

> `Syntax:
> region [<filename>]
> [load [all] <filename>]
> [save [select] <filename>]
> [list [select|close]]
> [epsilon <integer>]
> [show yes|no]
> [showtext yes|no]
> [centroid]
> [centroid auto yes|no]
> [centroid radius <value>|iteration <value>]
> [move front|back]
> [select all|none|invert|front|back]
> [delete [select]]
> [delete load <filename>]
> [format ds9|xml|ciao|saotng|saoimage|pros|xy]
> [system image|physical|wcs|wcsa...wcsz]
> [sky fk4|fk5|icrs|galactic|ecliptic]
> [skyformat degrees|sexagesimal]
> [strip yes|no]
> [shape <shape>]
> [color <color>]
> [fill yes|no]
> [width <width>]
> [dash yes|no]
> [font times|helvetica|courier]
> [fontsize <value>]
> [fontweight normal|bold]
> [fontslant roman|italic]
> [fixed|edit|rotate|delete yes|no]
> [command <marker command>]
> [analysis histogram|panda|plot2d|plot3d|radial|stats [open|close|save]]
> [composite]
> [dissolve]
> [template <filename>]
> [template <filename> at <ra> <dec> <coordsys> <skyframe>]
> [savetemplate <filename>]
> [group new]
> [group <tag> new]
> [group <tag> update]
> [group <tag> select]
> [group <tag> color <color>]
> [group <tag> copy]
> [group <tag> delete]
> [group <tag> cut]
> [group <tag> font <font>]
> [group <tag> move <int> <int>]
> [group <tag> movefront]
> [group <tag> moveback]
> [group <tag> property <property> yes|no]
> [copy]
> [cut]
> [paste image|physical|wcs|wcsa...wcsz]
> [undo]
> [open|close]
> [include|exclude|source|background|selected]
> [groups]
> [-format ds9|ciao|saotng|saoimage|pros|xy]
> [-system image|physical|wcs|wcsa...wcsz]
> [-sky fk4|fk5|icrs|galactic|ecliptic]
> [-skyformat degrees|sexagesimal]
> [-delim [nl|<char>]]
> [-prop select|edit|move|rotate|delete|fixed|include|source 1|0]
> [-group <tag>]
> [-strip yes|no]
> [-wcs yes|no]
> Example:
> $xpaget ds9 region
> $xpaget ds9 region -format ds9 -system wcs -sky fk5 -skyformat sexagesimal -prop edit 1 -group foo
> $xpaget ds9 region epsilon
> $xpaget ds9 region show
> $xpaget ds9 region showtext
> $xpaget ds9 region centroid auto
> $xpaget ds9 region centroid radius
> $xpaget ds9 region centroid iteration
> $xpaget ds9 region format
> $xpaget ds9 region system
> $xpaget ds9 region sky
> $xpaget ds9 region skyformat
> $xpaget ds9 region strip
> $xpaget ds9 region shape
> $xpaget ds9 region color
> $xpaget ds9 region fill
> $xpaget ds9 region width
> $xpaget ds9 region dash
> $xpaget ds9 region font
> $xpaget ds9 region fontsize
> $xpaget ds9 region fontweight
> $xpaget ds9 region fontslant
> $xpaget ds9 region source
> $xpaget ds9 region background
> $xpaget ds9 region include
> $xpaget ds9 region exclude
> $xpaget ds9 region selected
> $xpaget ds9 region groups
> $cat foo.reg | xpaset ds9 region -format xy -system wcs -sky fk5
> $cat bar.reg | xpaset ds9 region -format ds9
> $echo "image; circle 100 100 20" | xpaset ds9 region
> $echo "image; circle 100 100 20" | xpaset ds9 region
> $echo "fk5; circle 13:29:55 47:11:50 .5'" | xpaset ds9 region
> $echo "physical; ellipse 100 100 20 40" | xpaset ds9 region
> $echo "box 100 100 20 40 25" | xpaset ds9 region
> $echo "image; line 100 100 200 400" | xpaset ds9 region
> $echo "physical; ruler 200 300 200 400" | xpaset ds9 region
> $echo "image; text 100 100 # text={Hello, World}" | xpaset ds9 region
> $echo "fk4; boxcircle point 13:29:55 47:11:50" | xpaset ds9 region
> $xpaset -p ds9 region foo.reg
> $xpaset -p ds9 region -format ciao bar.reg # load as ciao format
> $xpaset -p ds9 region foo.fits # FITS region files do not need a format specification
> $xpaset -p ds9 region load foo.reg # load foo.reg into current frame
> $xpaset -p ds9 region load all foo.reg # load foo.reg into all frames
> $xpaset -p ds9 region load '*.reg'# expand *.reg and load into current frame
> $xpaset -p ds9 region load all '*.reg' # expand *.reg and load into all frames
> $xpaset -p ds9 region save foo.reg
> $xpaset -p ds9 region save select foo.reg
> $xpaset -p ds9 region list
> $xpaset -p ds9 region list select
> $xpaset -p ds9 region list close
> $xpaset -p ds9 region epsilon 5
> $xpaset -p ds9 region show yes
> $xpaset -p ds9 region showtext no
> $xpaset -p ds9 region centroid
> $xpaset -p ds9 region centroid auto yes
> $xpaset -p ds9 region centroid radius 10
> $xpaset -p ds9 region centroid iteration 20
> $xpaset -p ds9 region move back
> $xpaset -p ds9 region move front
> $xpaset -p ds9 region select all
> $xpaset -p ds9 region select none
> $xpaset -p ds9 region select invert
> $xpaset -p ds9 region select front
> $xpaset -p ds9 region select back
> $xpaset -p ds9 region delete
> $xpaset -p ds9 region delete select
> $xpaset -p ds9 region delete load foo.reg
> $xpaset -p ds9 region format ds9
> $xpaset -p ds9 region system wcs
> $xpaset -p ds9 region sky fk5
> $xpaset -p ds9 region skyformat degrees
> $xpaset -p ds9 region strip yes
> $xpaset -p ds9 region shape ellipse
> $xpaset -p ds9 region color red
> $xpaset -p ds9 region fill yes
> $xpaset -p ds9 region width 3
> $xpaset -p ds9 region dash yes
> $xpaset -p ds9 region font times
> $xpaset -p ds9 region fontsize 24
> $xpaset -p ds9 region fontweight bold
> $xpaset -p ds9 region fontslant italic
> $xpaset -p ds9 region edit yes
> $xpaset -p ds9 region include
> $xpaset -p ds9 region command {circle 100 100 20}
> $xpaset -p ds9 region analysis stats
> $xpaset -p ds9 region analysis stats close
> $xpaset -p ds9 region analysis histogram save
> $xpaset -p ds9 region composite
> $xpaset -p ds9 region dissolve
> $xpaset -p ds9 region template foo.tpl
> $xpaset -p ds9 region template foo.tpl at 13:29:55.92 +47:12:48.02 fk5
> $xpaset -p ds9 region savetemplate foo.tpl
> $xpaset -p ds9 region group new
> $xpaset -p ds9 region group foo new
> $xpaset -p ds9 region group foo update
> $xpaset -p ds9 region group foo select
> $xpaset -p ds9 region group foo color red
> $xpaset -p ds9 region group foo copy
> $xpaset -p ds9 region group foo delete
> $xpaset -p ds9 region group foo cut
> $xpaset -p ds9 region group foo font {times 14 bold}
> $xpaset -p ds9 region group foo move 100 100
> $xpaset -p ds9 region group foo movefront
> $xpaset -p ds9 region group foo moveback
> $xpaset -p ds9 region group foo property delete no
> $xpaset -p ds9 region copy
> $xpaset -p ds9 region cut
> $xpaset -p ds9 region paste wcs
> $xpaset -p ds9 region undo
> $xpaset -p ds9 region open
> $xpaset -p ds9 region close
> `

> restore

> Restore DS9 to a previous state from a backup save set.

> `Syntax:
> restore <filename>
> Example:
> $xpaset -p ds9 restore ds9.bck`

> rgb

> Create RGB frame and control RGB frame parameters.

> `Syntax:
> rgb []
> [red|green|blue]
> [channel [red|green|blue]]
> [view [red|green|blue] [yes|no]]
> [system <coordsys>]
> [lock wcs|crop|slice|bin|scale|scalelimits|colorbar|block|smooth [yes|no]]
> [open|close]
> Example:
> $xpaget ds9 rgb channel
> $xpaget ds9 rgb lock wcs
> $xpaget ds9 rgb lock crop
> $xpaget ds9 rgb lock slice
> $xpaget ds9 rgb lock bin
> $xpaget ds9 rgb lock scale
> $xpaset ds9 rgb lock scalelimits
> $xpaget ds9 rgb lock colorbar
> $xpaget ds9 rgb lock block
> $xpaget ds9 rgb lock smooth
> $xpaget ds9 rgb system
> $xpaget ds9 rgb view red
> $xpaget ds9 rgb view green
> $xpaget ds9 rgb view blue
> $xpaset -p ds9 rgb # create new rgb frame
> $xpaset -p ds9 rgb red # set current channel to red
> $xpaset -p ds9 rgb channel red # set current channel to red
> $xpaset -p ds9 rgb view blue no # turn off blue channel
> $xpaset -p ds9 rgb system wcs # set rgb coordinate system
> $xpaset -p ds9 rgb lock wcs yes
> $xpaset -p ds9 rgb lock crop yes
> $xpaset -p ds9 rgb lock slice yes
> $xpaset -p ds9 rgb lock bin yes
> $xpaset -p ds9 rgb lock scale yes
> $xpaset -p ds9 rgb lock scalelimits yes
> $xpaset -p ds9 rgb lock colorbar yes
> $xpaset -p ds9 rgb lock block yes
> $xpaset -p ds9 rgb lock smooth yes
> $xpaset -p ds9 rgb open
> $xpaset -p ds9 rgb close`

> rgbarray

> Load raw data array cube into rgb frame.

> `Syntax:
> rgbarray [native|big|little]
> rgbarray [new] [[xdim=<x>,ydim=<y>|dim=<dim>],[zdim=3],bitpix=<b>,skip=<s>,endian=[little|big]]
> Example:
> $xpaget ds9 rgbarray > foo.arr
> $xpaget ds9 rgbarray little > foo.arr
> $xpaset -p ds9 rgbarray foo.arr[dim=512,zdim=3,bitpix=-32,endian=little]
> $xpaset -p ds9 rgbarray new foo.arr[dim=512,zdim=3,bitpix=-32,endian=little]
> $cat foo.arr | xpaset ds9 rgbarray [dim=512,zdim=3,bitpix=-32,endian=little]
> $cat foo.arr | xpaset ds9 rgbarray new [dim=512,zdim=3,bitpix=-32,endian=little]`

> rgbcube

> Load FITS rgbcube into rgb frame.

> `Syntax:
> rgbcube [new] [<filename>]
> Example:
> $xpaget ds9 rgbcube > foo.fits
> $xpaset -p ds9 rgbcube foo.fits
> $xpaset -p ds9 rgbcube new foo.fits
> $cat foo.fits | xpaset ds9 rgbcube
> $cat foo.fits | xpaset ds9 rgbcubenew`

> rgbimage

> Load FITS rgbimage into rgb frame.

> `Syntax:
> rgbimage [new] [<filename>]
> Example:
> $xpaget ds9 rgbimage > foo.fits
> $xpaset -p ds9 rgbimage foo.fits
> $xpaset -p ds9 rgbimage new foo.fits
> $cat foo.fits | xpaset ds9 rgbimage
> $cat foo.fits | xpaset ds9 rgbimage new
> `

> rotate

> Controls the rotation angle (in degrees) of the current frame.

> `Syntax:
> rotate [<value>]
> [to <value>]
> [open|close]
> Example:
> $xpaget ds9 rotate
> $xpaset -p ds9 rotate 45
> $xpaset -p ds9 rotate to 30
> $xpaset -p ds9 rotate open
> $xpaset -p ds9 rotate close
> `

> samp

> Configure SAMP protocol.

> `Syntax:
> samp [yes|no]
> [connect|disconnect]
> [broadcast [image|table]]
> [send [image|table] <application>]
> Example:
> $xpaget ds9 samp
> $xpaset -p ds9 samp yes
> $xpaset -p ds9 samp connect
> $xpaset -p ds9 samp broadcast
> $xpaset -p ds9 samp broadcast table
> $xpaset -p ds9 samp send topcat
> $xpaset -p ds9 samp send table topcat
> `

> save

> Save loaded image data of current frame as FITS.

> `Syntax:
> save [fits|rgbimage|rgbcube|mecube|mosaic|mosaicimage] <filename> [image|table|slice]
> Example:
> $xpaset -p ds9 save foo.fits
> $xpaset -p ds9 save fits foo.fits image
> $xpaset -p ds9 save fits foo.fits table
> $xpaset -p ds9 save fits foo.fits slice
> $xpaset -p ds9 save rgbimage foo.fits
> $xpaset -p ds9 save rgbcube foo.fits
> $xpaset -p ds9 save mecube foo.fits
> $xpaset -p ds9 save mosaic foo.fits
> $xpaset -p ds9 save mosaicimage foo.fits`

> saveimage

> Create a snap shot of the current DS9 window and save in specified image format. If no format specified, the file name extension is used to determine the output format. Optional parameters: `jpeg` quality (1-100) and `tiff` compression method.

> `Syntax:
> saveimage [fits|eps|gif|tiff|jpeg|png]<filename>
> saveimage <filename>.jpeg [1-100]
> saveimage <filename>.tiff [none|jpeg|packbits|deflate]
> Example:
> $xpaset -p ds9 saveimage ds9.tiff
> $xpaset -p ds9 saveimage jpeg ds9.jpeg 75`

> scale

> Controls the limits and color scale distribution.

> `Syntax:
> scale [linear|log|pow|sqrt|squared|asinh|sinh|histequ]
> [log exp <value>]
> [datasec yes|no]
> [limits <minvalue> <maxvalue>]
> [mode minmax|<value>|zscale|zmax]
> [scope local|global]
> [match]
> [match limits]
> [lock [yes|no]]
> [lock limits [yes|no]]
> [open|close]
> Example:
> $xpaget ds9 scale
> $xpaget ds9 scale log exp
> $xpaget ds9 scale datasec
> $xpaget ds9 scale limits
> $xpaget ds9 scale mode
> $xpaget ds9 scale scope
> $xpaget ds9 scale lock
> $xpaget ds9 scale lock limits
> $xpaset -p ds9 scale linear
> $xpaset -p ds9 scale log exp 100
> $xpaset -p ds9 scale datasec yes
> $xpaset -p ds9 scale histequ
> $xpaset -p ds9 scale limits 1 100
> $xpaset -p ds9 scale mode zscale
> $xpaset -p ds9 scale mode 99.5
> $xpaset -p ds9 scale scope local
> $xpaset -p ds9 scale match
> $xpaset -p ds9 scale match limits
> $xpaset -p ds9 scale lock yes
> $xpaset -p ds9 scale lock limits yes
> $xpaset -p ds9 scale open
> $xpaset -p ds9 scale close
> `

> shm

> Load a shared memory segment into the current frame.

> `Syntax:
> shm [<key> [<filename>]]
> [key <key> [<filename>]]
> [shmid <id> [<filename>]]
> [fits [key|shmid] <id> [<filename>]]
> [mosaicimage [iraf|wcs|wcsa...wcsz|wfpc2] [key|shmid] <id> [<filename>]]
> [mosaic [iraf|wcs|wcsa...wcsz] [key|shmid] <id> [<filename>]]
> [rgbcube [key|shmid] <id> [<filename>]
> [rgbimage [key|shmid] <id> [<filename>]]
> [rgbarray [key|shmid] <id> [xdim=<x>,ydim=<y>|dim=<dim>,zdim=3],bitpix=<b>,[skip=<s>]]
> [array [key|shmid] <id> [xdim=<x>,ydim=<y>|dim=<dim>],bitpix=<b>,[skip=<s>]]
> Example:
> $xpaget ds9 shm
> $xpaset -p ds9 shm 102
> $xpaset -p ds9 shm key 102
> $xpaset -p ds9 shm shmid 102 foo
> $xpaset -p ds9 shm fits key 100 foo
> $xpaset -p ds9 shm mosaicimage iraf key 100 foo
> $xpaset -p ds9 shm mosaicimage wcs key 100 foo
> $xpaset -p ds9 shm mosaicimage wcsa key 100 foo
> $xpaset -p ds9 shm mosaicimage wfpc2 key 100 foo
> $xpaset -p ds9 shm mosaic iraf key 100 foo
> $xpaset -p ds9 shm mosaic wcs key 100 foo
> $xpaset -p ds9 shm rgbcube key 100 foo
> $xpaset -p ds9 shm rgbimage key 100 foo
> $xpaset -p ds9 shm rgbarray key 100 [dim=200,zdim=3,bitpix=-32]
> $xpaset -p ds9 shm array shmid 102 [dim=32,bitpix=-32]
> `

> sia

> Support for VO Simple Image Access protocol. The first command will create a new search. All other commands operated on the last search created, unless indicated otherwise via current command.

> `Syntax:
> sia [2mass|akari|astrowise|cadc|cxc|hla|mast|sdss|skyview|tgssadr]
> [cancel]
> [clear]
> [close]
> [save <filename>]
> [export rdb|tsv <filename>]
> [coordinate <ra> <dec> <coordsys>]
> [crosshair]
> [current <ref>]
> [name <object>]
> [print]
> [retrieve]
> [radius <value> degrees|arcmin|arcsec]
> [sky <skyframe>]
> [skyformat <skyformat>]
> [system <coordsys>]
> [update]
> Example:
> $xpaget ds9 sia
> $xpaset -p ds9 sia 2mass
> $xpaset -p ds9 sia cancel
> $xpaset -p ds9 sia clear
> $xpaset -p ds9 sia close
> $xpaset -p ds9 sia coordinate 202.48 47.21 fk5
> $xpaset -p ds9 sia crosshair
> $xpaset -p ds9 sia current 2mass
> $xpaset -p ds9 sia export tsv bar.tsv
> $xpaset -p ds9 sia name m51
> $xpaset -p ds9 sia print
> $xpaset -p ds9 sia retrieve
> $xpaset -p ds9 sia save foo.xml
> $xpaset -p ds9 sia radius 1 degrees
> $xpaset -p ds9 sia sky fk5
> $xpaset -p ds9 sia skyformat degrees
> $xpaset -p ds9 sia system wcs
> $xpaset -p ds9 sia update
> `

> single

> Select Single Display mode

> `Syntax:
> single
> Example:
> $xpaget ds9 single
> $xpaset -p ds9 single
> `

> skyview

> Support for SkyView image server at HEASARC.

> `Syntax:
> skyview []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [pixels <width> <height>]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [survey <survey>]
> [open|close]
> Example:
> $xpaget ds9 skyview name
> $xpaget ds9 skyview coord
> $xpaget ds9 skyview size
> $xpaget ds9 skyview pixels
> $xpaget ds9 skyview save
> $xpaget ds9 skyview frame
> $xpaget ds9 skyview survey
> $xpaset -p ds9 skyview
> $xpaset -p ds9 skyview m31
> $xpaset -p ds9 skyview name m31
> $xpaset -p ds9 skyview name clear
> $xpaset -p ds9 skyview 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 skyview size 60 60 arcmin
> $xpaset -p ds9 skyview pixels 600 600
> $xpaset -p ds9 skyview save yes
> $xpaset -p ds9 skyview frame current
> $xpaset -p ds9 skyview update frame
> $xpaset -p ds9 skyview survey sdssi
> $xpaset -p ds9 skyview open
> $xpaset -p ds9 skyview close`

> sleep

> Delays execution for specified number of seconds. Default is 1 second.

> `Syntax:
> sleep [#]
> Example:
> $xpaset -p ds9 sleep
> $xpaset -p ds9 sleep 2
> `

> smooth

> Smooth current image or set smooth parameters.

> `Boxcar width =2*radius+1
> Tophat diameter =2*radius+1
> Gaussian diameter =2*radius+1,mean=0
> Elliptical Gaussian diameter =2*radius+1,mean=0
> Syntax:
> smooth []
> [yes|no]
> [function boxcar|tophat|gaussian]
> [radius <value>]
> [radiusminor <value>]
> [sigma <value>]
> [sigmaminor <value>]
> [angle <value>]
> [match]
> [lock [yes|no]]
> [open|close]
> `

> `Example:
> $xpaget ds9 smooth
> $xpaget ds9 smooth function
> $xpaget ds9 smooth radius
> $xpaget ds9 smooth radiusminor
> $xpaget ds9 smooth sigma
> $xpaget ds9 smooth sigmaminor
> $xpaget ds9 smooth lock`

> `$xpaset -p ds9 smooth
> $xpaset -p ds9 smooth yes
> $xpaset -p ds9 smooth function tophat
> $xpaset -p ds9 smooth radius 4
> $xpaset -p ds9 smooth radiusminor 4
> $xpaset -p ds9 smooth sigma 2.0
> $xpaset -p ds9 smooth sigmaminor 2.0
> $xpaset -p ds9 smooth angle 45
> $xpaset -p ds9 smooth match
> $xpaset -p ds9 smooth lock yes
> $xpaset -p ds9 smooth open
> $xpaset -p ds9 smooth close`

> source

> Source TCL code from a file. Only available for `XPA_METHOD local.`

> `Syntax:
> source [<filename>]
> Example:
> $xpaset -p ds9 source foo.tcl`

> tcl

> Execute one tcl command. Only available for `XPA_METHOD local.`

> `Syntax:
> tcl [<tcl command>]
> Example:
> $echo 'puts "Hello, World"' | xpaset ds9 tcl
> $xpaset -p ds9 tcl {puts {Hello, World}}
> `

> threads

> Set number of process threads for functions which are multi-threaded.

> `Syntax:
> threads #
> Example:
> $xpaget ds9 threads
> $xpaset -p ds9 threads 8`

> tiff

> Load TIFF image into current frame. Optional parameters: `tiff` compression method.

> `Syntax:
> tiff [new|slice] [<filename>] [none|jpeg|packbits|deflate]
> Example:
> $xpaget ds9 tiff > foo.tiff
> $xpaget ds9 tiff jpeg > foo.tiff
> $xpaset -p ds9 tiff foo.tiff
> $xpaset -p ds9 tiff new foo.tiff
> $xpaset -p ds9 tiff slice foo.tiff
> $cat foo.tiff | xpaset ds9 tiff
> $cat foo.tiff | xpaset ds9 tiff new
> $cat foo.tiff | xpaset ds9 tiff slice`

> tile

> Controls the tile display mode.

> `Syntax:
> tile []
> [yes|no]
> [mode grid|column|row]
> [grid]
> [grid mode automatic|manual]
> [grid direction x|y]
> [grid layout <col> <row>]
> [grid gap <pixels>]
> [row]
> [column]
> Example:
> $xpaget ds9 tile
> $xpaget ds9 tile mode
> $xpaget ds9 tile grid mode
> $xpaget ds9 tile grid direction
> $xpaget ds9 tile grid layout
> $xpaget ds9 tile grid gap
> $xpaset -p ds9 tile
> $xpaset -p ds9 tile yes
> $xpaset -p ds9 tile mode row
> $xpaset -p ds9 tile grid
> $xpaset -p ds9 tile grid mode manual
> $xpaset -p ds9 tile grid direction x
> $xpaset -p ds9 tile grid layout 5 5
> $xpaset -p ds9 tile grid gap 10
> $xpaset -p ds9 tile row
> $xpaset -p ds9 tile column`

> update

> Updates the current frame or region of frame. In the second form, the first argument is the number of the fits HDU (starting with 1) and the remaining args are a bounding box in IMAGE coordinates. By default, the screen is updated the next available idle cycle. However, you may force an immediate update by specifying the NOW option.

> `Syntax:
> update []
> [# x1 y1 x2 y2]
> [now]
> [now # x1 y1 x2 y2]
> Example:
> $xpaset -p ds9 update
> $xpaset -p ds9 update 1 100 100 300 400
> $xpaset -p ds9 update now
> $xpaset -p ds9 update now 1 100 100 300 400`

> url

> Load FITS from URL into the current frame

> `Syntax:
> url <url>
> Example:
> $xpaset -p ds9 url http://foo.bar.edu/foo.fits
> `

> version

> Returns the current version of DS9.

> `Syntax:
> version
> Example:
> $xpaget ds9 version`

> view

> Controls the GUI.

> `Syntax:
> view [layout horizontal|vertical|basic|advanced]
> [multi yes|no]
> [keyvalue <string>]
> [info yes|no]
> [panner yes|no]
> [magnifier yes|no]
> [buttons yes|no]
> [icons yes|no]
> [colorbar yes|no]
> [colorbar horizontal|vertical]
> [colorbar numerics yes|no]
> [graph horizontal|vertical yes|no]
> [filename yes|no[
> [object yes|no]
> [keyword yes|no]
> [minmax yes|no]
> [lowhigh yes|no]
> [units yes|no]
> [image|physical|wcs|wcsa...wcsz yes|no]
> [frame yes|no]
> [red yes|no]
> [green yes|no]
> [blue yes|no]
> Example:
> $xpaget ds9 view layout
> $xpaget ds9 view multi
> $xpaget ds9 view keyvalue
> $xpaget ds9 view info
> $xpaget ds9 view panner
> $xpaget ds9 view magnifier
> $xpaget ds9 view buttons
> $xpaget ds9 view icons
> $xpaget ds9 view colorbar
> $xpaget ds9 view graph horizontal
> $xpaget ds9 view filename
> $xpaget ds9 view object
> $xpaget ds9 view keyword
> $xpaget ds9 view minmax
> $xpaget ds9 view lowhigh
> $xpaget ds9 view units
> $xpaget ds9 view image
> $xpaget ds9 view wcsa
> $xpaget ds9 view red
> $xpaget ds9 view frame
> $xpaset -p ds9 view layout vertical
> $xpaset -p ds9 view multi yes
> $xpaset -p ds9 view keyvalue BITPIX
> $xpaset -p ds9 view info yes
> $xpaset -p ds9 view panner yes
> $xpaset -p ds9 view magnifier yes
> $xpaset -p ds9 view buttons yes
> $xpaset -p ds9 view icons yes
> $xpaset -p ds9 view colorbar yes
> $xpaset -p ds9 view graph horizontal yes
> $xpaset -p ds9 view filename yes
> $xpaset -p ds9 view object yes
> $xpaset -p ds9 view keyword yes
> $xpaset -p ds9 view minmax yes
> $xpaset -p ds9 view lowhigh yes
> $xpaset -p ds9 view units yes
> $xpaset -p ds9 view wcsa yes
> $xpaset -p ds9 view frame yes
> $xpaset -p ds9 view red yes
> $xpaset -p ds9 view green yes
> $xpaset -p ds9 view blue yes`
> vla

> Support for VLA Sky Survey.

> `Syntax:
> vla []
> [<object>]
> [name <object>|clear]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [survey first|stripe82]
> [open|close]
> Example:
> $xpaget ds9 vla name
> $xpaget ds9 vla coord
> $xpaget ds9 vla size
> $xpaget ds9 vla save
> $xpaget ds9 vla frame
> $xpaget ds9 vla survey
> $xpaset -p ds9 vla
> $xpaset -p ds9 vla m31
> $xpaset -p ds9 vla name m31
> $xpaset -p ds9 vla name clear
> $xpaset -p ds9 vla 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 vla size 60 60 arcmin
> $xpaset -p ds9 vla save yes
> $xpaset -p ds9 vla frame current
> $xpaset -p ds9 vla update frame
> $xpaset -p ds9 vla survey stripe82
> $xpaset -p ds9 vla open
> $xpaset -p ds9 vla close`

> vlss

> Support for NRAO VLSS Sky Survey.

> `Syntax:
> vlss []
> [<object>]
> [name <object>]
> [<ra> <dec>] # in wcs fk5
> [size <width> <height> degrees|arcmin|arcsec]
> [save yes|no]
> [frame new|current]
> [update frame|crosshair]
> [open|close]
> Example:
> $xpaget ds9 vlss name
> $xpaget ds9 vlss coord
> $xpaget ds9 vlss size
> $xpaget ds9 vlss save
> $xpaget ds9 vlss frame
> $xpaset -p ds9 vlss
> $xpaset -p ds9 vlss m31
> $xpaset -p ds9 vlss name m31
> $xpaset -p ds9 vlss name clear
> $xpaset -p ds9 vlss 00:42:44.404 +41:16:08.78
> $xpaset -p ds9 vlss size 60 60 arcmin
> $xpaset -p ds9 vlss save yes
> $xpaset -p ds9 vlss frame current
> $xpaset -p ds9 vlss update frame
> $xpaset -p ds9 vlss open
> $xpaset -p ds9 vlss close`

> vo

> Invoke an connection to a Virtual Observatory site.

> `Syntax:
> vo [method xpa|mime]
> [server <url>]
> [internal yes|no]
> [delay #]
> [<url>]
> [connect <url>]
> [disconnect <url>]
> [open|close]
> Example:
> $xpaget ds9 vo
> $xpaget ds9 vo method
> $xpaget ds9 vo server
> $xpaget ds9 vo internal
> $xpaget ds9 vo delay
> $xpaget ds9 vo connect
> $xpaset -p ds9 vo method xpa
> $xpaset -p ds9 vo server http://foo.bar.edu/list.txt
> $xpaset -p ds9 vo internal yes
> $xpaset -p ds9 vo delay 15 # keep-alive delay
> $xpaset -p ds9 vo chandra-ed
> $xpaset -p ds9 vo connect chandra-ed
> $xpaset -p ds9 vo disconnect chandra-ed
> $xpaset -p ds9 vo open
> $xpaset -p ds9 vo close
> `

> wcs

> Controls the World Coordinate System for the current frame. If the wcs system, skyframe, or skyformat is modified, the info panel, compass, grid, and alignment will be modified accordingly. Also, using this access point, a new WCS specification can be loaded and used by the current image regardless of the WCS that was contained in the image file. WCS specification can be sent to DS9 as an ASCII file . Please see WCS for more information.

> `Syntax:
> wcs [[system] wcs|wcsa...wcsz]
> [[sky] fk4|fk5|icrs|galactic|ecliptic]
> [[skyformat] degrees|sexagesimal]
> [align yes|no]
> [reset]
> [load <filename>]
> [save [<ext>] <filename>]
> [open|close]
> Example:
> $xpaget ds9 wcs
> $xpaget ds9 wcs system
> $xpaget ds9 wcs sky
> $xpaget ds9 wcs skyformat
> $xpaget ds9 wcs align
> $xpaset -p ds9 wcs wcs
> $xpaset -p ds9 wcs system wcs
> $xpaset -p ds9 wcs fk5
> $xpaset -p ds9 wcs sky fk5
> $xpaset -p ds9 wcs sexagesimal
> $xpaset -p ds9 wcs skyformat sexagesimal
> $xpaset -p ds9 wcs align yes
> $xpaset -p ds9 wcs reset
> $xpaset -p ds9 wcs load foo.wcs
> $xpaset -p ds9 wcs save foo.wcs
> $xpaset -p ds9 wcs save 1 foo.wcs
> $xpaset -p ds9 open
> $xpaset -p ds9 close
> `

> web

> Display specified URL in the web display.

> `Syntax:
> web []
> [<url>]
> [new <webname> <url>]
> [<webname>] [click back|forward|stop|reload|#]
> [<webname>] [clear]
> [<webname>] [close]
> Example:
> $xpaget ds9 web
> $xpaset -p ds9 web www.cnn.com
> $xpaset -p ds9 web new www.cnn.com
> $xpaset -p ds9 web hvweb www.apple.com
> $xpaset -p ds9 web click back
> $xpaset -p ds9 web click 2
> $xpaset -p ds9 web clear
> $xpaset -p ds9 web close
> `

> width

> Set the width of the image display window.

> `Syntax:
> width [<value>]
> Example:
> $xpaget ds9 width
> $xpaset -p ds9 width 512`

> xpa

> Configure XPA.

> `Syntax:
> -xpa [no]
> [disconnect]
> [info]
> Example:
> $xpaget ds9 xpa info
> $xpaget ds9 xpa info
> $xpaset -p ds9 no
> $xpaset -p ds9 disconnect
> $xpaset -p ds9 info
> `

> zscale

> Set Scale Limits based on the IRAF algorithm.

> `Syntax:
> zscale []
> [contrast]
> [sample]
> [line]
> Example:
> $xpaget ds9 zscale contrast
> $xpaget ds9 zscale sample
> $xpaget ds9 zscale line
> $xpaset -p ds9 zscale
> $xpaset -p ds9 zscale contrast .25
> $xpaset -p ds9 zscale sample 600
> $xpaset -p ds9 zscale line 120
> `

> zoom

> Controls the current zoom value for the current frame.

> `Syntax:
> zoom [<value>]
> [<value> <value>]
> [to <value>]
> [to <value> <value>]
> [in]
> [out]
> [to fit]
> [open|close]
> Example:
> $xpaget ds9 zoom
> $xpaset -p ds9 zoom 2
> $xpaset -p ds9 zoom 2 4
> $xpaset -p ds9 zoom to 4
> $xpaset -p ds9 zoom to 2 4
> $xpaset -p ds9 zoom in
> $xpaset -p ds9 zoom out
> $xpaset -p ds9 zoom to fit
> $xpaset -p ds9 zoom open
> $xpaset -p ds9 zoom close
> ``